GNU bug report logs - #36886
26.2; (global-eldoc-mode -1) should disable eldoc completely

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Sanel Zukan <sanelz@HIDDEN>; Keywords: fixed; Done: Noam Postavsky <npostavs@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug marked as fixed in version 27.1, send any further explanations to 36886 <at> debbugs.gnu.org and Sanel Zukan <sanelz@HIDDEN> Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) fixed. Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 36886 <at> debbugs.gnu.org:


Received: (at 36886) by debbugs.gnu.org; 21 Aug 2019 00:24:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 20 20:24:18 2019
Received: from localhost ([127.0.0.1]:34261 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i0EQD-0006H2-Ty
	for submit <at> debbugs.gnu.org; Tue, 20 Aug 2019 20:24:18 -0400
Received: from mail-io1-f51.google.com ([209.85.166.51]:37219)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>)
 id 1i0EQB-0006Gb-LF; Tue, 20 Aug 2019 20:24:16 -0400
Received: by mail-io1-f51.google.com with SMTP id q22so1098921iog.4;
 Tue, 20 Aug 2019 17:24:15 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=V044d7WMF8CRfgkpnP2qBTT73mvkAszspy2NETwethk=;
 b=RLoHNiNjM1u09GSc3kPfZBnHKqaB+QcWewN3CK30HJmKgcRnQvqoM5qT64xvydJl0S
 aeCSMxyqgu4FzugU8hHF1Yw7i0yOQ5I0YcH8KWKc+kCTJ1UDzj7BElP3pZltdaw57d4o
 gyBTsF5XtscQd3ACV2MUpQ90JjNY2OozkEyHJ/8II/3RNM38c6++ky0kb4tA8BEvIMLg
 MonkNXNU/rR7taxLcEvH+czi79l9JHOZ3ZSy7cWr1oKVare0ZF03xGaxuv65ORpth11s
 y2V+DFdGG53bjmAS/RKb/4acM/RAu6mpxcPRNmbFdD/FliK9+41jF/MNZGCayaC8SjMc
 6JZQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=V044d7WMF8CRfgkpnP2qBTT73mvkAszspy2NETwethk=;
 b=TEu2bCicqUDwqZSc5imwupdrl/6SZ6ut1jNitxF6QHeWNfVOubcjopGXm5CT5q1+LO
 ZfobhEg+rTPwxhEQUK6AvsPxUelm3xzZ2YfjfG/m5dIu/PyDmbv22yIQ3niEg1sLGCde
 aR9csqKCXQ0qk71yiBQWfEvTnSywUnYqpScc9VGBVvOwawvy7bUMsToW7RDZn42guTdi
 cUnlgyX2fWAe/8jJaR7U2VK7Sww/52BuQuY7yUYwrzZ2oLJk4X91Zk+J2jOA12fR870p
 h+F56frhU6aSXzYGBe14NClNlKhLbS8EcSE4jEv5FZeiiPhiAZ34WcNQbYztCOz/sF40
 XSNA==
X-Gm-Message-State: APjAAAV4dv08hGRvThLa8WvIS62umsFznwdxjMXuBDBIMakfXGbtLclG
 aw2GHV/suF0klmeMMCy+sDLU5itw
X-Google-Smtp-Source: APXvYqx2tyIr25ozb03FQrjVgRtef/i25qQZI89Z36nakHXHVnJpTdFLXzG0QLtxq0zcluniYvqXXw==
X-Received: by 2002:a6b:fc16:: with SMTP id r22mr4020401ioh.215.1566347050023; 
 Tue, 20 Aug 2019 17:24:10 -0700 (PDT)
Received: from minid (cbl-45-2-119-34.yyz.frontiernetworks.ca. [45.2.119.34])
 by smtp.gmail.com with ESMTPSA id
 q22sm14238591ioj.56.2019.08.20.17.24.08
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Tue, 20 Aug 2019 17:24:09 -0700 (PDT)
From: Noam Postavsky <npostavs@HIDDEN>
To: =?utf-8?B?xaB0xJtww6FuIE7Em21lYw==?= <stepnem@HIDDEN>
Subject: Re: bug#36886: 26.2;
 (global-eldoc-mode -1) should disable eldoc completely
References: <87h8719nzl.fsf@HIDDEN> <83imrggjmo.fsf@HIDDEN>
 <8736ijap0e.fsf@HIDDEN> <87d0hn23mm.fsf@HIDDEN>
 <83mugrg4kv.fsf@HIDDEN> <87k1bvzovi.fsf@HIDDEN> <83ftmjfxq7.fsf@HIDDEN>
 <87k1btsr78.fsf@HIDDEN> <87ftmhs70z.fsf@HIDDEN>
 <87a7cproch.fsf@HIDDEN> <8736i3qm6z.fsf@HIDDEN>
 <87pnl6omn3.fsf@HIDDEN>
Date: Tue, 20 Aug 2019 20:24:08 -0400
In-Reply-To: <87pnl6omn3.fsf@HIDDEN> (=?utf-8?B?IsWgdMSbcMOhbiBOxJtt?=
 =?utf-8?B?ZWMiJ3M=?= message of "Thu, 15 Aug 2019 10:31:28 +0200")
Message-ID: <87o90jnz6f.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2.90 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36886
Cc: "Basil L. Contovounesios" <contovob@HIDDEN>, sanelz@HIDDEN,
 36886 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

tags 36886 fixed
close 36886 27.1
quit

=C5=A0t=C4=9Bp=C3=A1n N=C4=9Bmec <stepnem@HIDDEN> writes:

>> +\(fn GLOBAL-MODE MODE TURN-ON [KEY VALUE]... BODY)"
>
> I think this should read "BODY..." to indicate zero or more body forms?

Thanks for catching that.  Fixed and pushed to master.

7e2090ee80 2019-08-20T20:20:52-04:00 "Respect global-eldoc-mode in minibuff=
ers (Bug#36886)"
https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=3D7e2090ee80c9099ee9=
53392444e1d73d10e973d4





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36886; Package emacs. Full text available.

Message received at 36886 <at> debbugs.gnu.org:


Received: (at 36886) by debbugs.gnu.org; 15 Aug 2019 08:31:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 15 04:31:38 2019
Received: from localhost ([127.0.0.1]:50633 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hyBAX-0005Db-UL
	for submit <at> debbugs.gnu.org; Thu, 15 Aug 2019 04:31:38 -0400
Received: from mail-wm1-f65.google.com ([209.85.128.65]:32897)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stepnem@HIDDEN>) id 1hyBAV-0005DO-Vj
 for 36886 <at> debbugs.gnu.org; Thu, 15 Aug 2019 04:31:36 -0400
Received: by mail-wm1-f65.google.com with SMTP id p77so543520wme.0
 for <36886 <at> debbugs.gnu.org>; Thu, 15 Aug 2019 01:31:35 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:in-reply-to:references:user-agent:date
 :message-id:mime-version:content-transfer-encoding;
 bh=wg+nxGSPLg2sPTcwwTdZ45CFuKqcFcwU+41301JhMrQ=;
 b=U9e0OHZS5FITpQ84REhqXk+e9etJbXG0FAJlx35OxeZgiWfQ8KSh7WhNj677R+MaZi
 1nDbldBAfhhSBqhCXuDDpAXPBPbKz+aygn1UgUzRDHvFyKiO4ZcounMdZfjrAtMJPI6q
 q6QcvyFdnKQmqyPEdXaxVqBAoN/Sj1YUnGEHkMEG7GXX9+Ojqs8AmHmrZ8BP+IGXyIC1
 jrQyi1VsBSDSiMfAIZVlx7cxQ4bqZCBYuC0xmobhe4XEgZQ1eaux6FuUirwX9TmucD3c
 9mbLXdDc2HmPhnUnMZVG6sa3p7et9r9TSYde6rQijn8xDGhoZvA2UbFO2OQTaRyynD+6
 Ifvw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:in-reply-to:references
 :user-agent:date:message-id:mime-version:content-transfer-encoding;
 bh=wg+nxGSPLg2sPTcwwTdZ45CFuKqcFcwU+41301JhMrQ=;
 b=PkK7Xm8zcQHDoTjO4/PylaY6t+jYPFP91G/Xa1Tne0OmXvNJ37ZHPE0tS/fE7H8Ziz
 fh7Bh/NCf1GUw52WJQK6gRhw4DvRqqAadtqX4MGEHN6mO98lG0Ccpz8rcRkGndMXaJ7V
 WW9ppWpYi6exO23/vkYpdnlPsCJ/fyRqwCjoKt3KU9EOG1EDmYHK6DCV8fca7hONVhnC
 QCiHsca8sJnh/z0yIPznO0E/0dn+N5R8Hqg90rwvjR/+/ztdjKMUQbllITuBaDdTQhHx
 YPvlZfDrPOcX/tRjEPukZuMYxLLbw9AuPRf/hzN5hwlOW8zREUTZDP31CsW6OyPNuHaE
 jEdA==
X-Gm-Message-State: APjAAAVzZ0HMKdE6aSVYCqP7jJo0qYAgGO0+oo401Rbjk/Gh2ytKAzK0
 8XpiHV1fh10qx6eUUo2FbyQ=
X-Google-Smtp-Source: APXvYqxYk0GW4hzCfPA/Rf8FF4XHKalgs3NIfqeZFdhlREHn4MKieRqxdc5dMsKVR7W479RYVS1eEg==
X-Received: by 2002:a1c:1a4c:: with SMTP id a73mr1602923wma.109.1565857890145; 
 Thu, 15 Aug 2019 01:31:30 -0700 (PDT)
Received: from localhost ([185.112.167.114])
 by smtp.gmail.com with ESMTPSA id t13sm2446049wrr.0.2019.08.15.01.31.29
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 15 Aug 2019 01:31:29 -0700 (PDT)
From: =?utf-8?B?xaB0xJtww6FuIE7Em21lYw==?= <stepnem@HIDDEN>
To: Noam Postavsky <npostavs@HIDDEN>
Subject: Re: bug#36886: 26.2; (global-eldoc-mode -1) should disable eldoc
 completely
In-Reply-To: <8736i3qm6z.fsf@HIDDEN> (Noam Postavsky's message of "Wed, 14
 Aug 2019 20:58:12 -0400")
References: <87h8719nzl.fsf@HIDDEN> <83imrggjmo.fsf@HIDDEN>
 <8736ijap0e.fsf@HIDDEN> <87d0hn23mm.fsf@HIDDEN>
 <83mugrg4kv.fsf@HIDDEN> <87k1bvzovi.fsf@HIDDEN>
 <83ftmjfxq7.fsf@HIDDEN> <87k1btsr78.fsf@HIDDEN>
 <87ftmhs70z.fsf@HIDDEN> <87a7cproch.fsf@HIDDEN>
 <8736i3qm6z.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
Date: Thu, 15 Aug 2019 10:31:28 +0200
Message-ID: <87pnl6omn3.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36886
Cc: "Basil L. Contovounesios" <contovob@HIDDEN>, sanelz@HIDDEN,
 36886 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Wed, 14 Aug 2019 20:58:12 -0400
Noam Postavsky wrote:

> Updated patch attached.  I'll push in a few days, assuming nothing else
> turns up.

[snip]

> @@ -384,7 +387,9 @@ define-globalized-minor-mode
>=20=20

[...]

> +
> +\(fn GLOBAL-MODE MODE TURN-ON [KEY VALUE]... BODY)"

I think this should read "BODY..." to indicate zero or more body forms?

Thanks,

  =C5=A0t=C4=9Bp=C3=A1n




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36886; Package emacs. Full text available.

Message received at 36886 <at> debbugs.gnu.org:


Received: (at 36886) by debbugs.gnu.org; 15 Aug 2019 00:58:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 14 20:58:22 2019
Received: from localhost ([127.0.0.1]:49981 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hy45u-0007zE-3S
	for submit <at> debbugs.gnu.org; Wed, 14 Aug 2019 20:58:22 -0400
Received: from mail-ot1-f44.google.com ([209.85.210.44]:44617)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>) id 1hy45r-0007yy-NJ
 for 36886 <at> debbugs.gnu.org; Wed, 14 Aug 2019 20:58:20 -0400
Received: by mail-ot1-f44.google.com with SMTP id w4so2405230ote.11
 for <36886 <at> debbugs.gnu.org>; Wed, 14 Aug 2019 17:58:19 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=pZhkWT3csb90r67DibHpoeRzvK+mhTZXWz/fZQ4VHKY=;
 b=R3sZgigbNVgJz+Xs6ax1suc3vrdaTXRGkw5/8Volmq8muaSYXEzofB8kfCA4AjCn0e
 VwdNiRQeW0TmxlpPXV7cf8df8AVVMYWbrgPfrzqh4GgkKRU0VkEkPlHaCHsKzWn/PLM5
 KsSAQRD+IbdwjzQrms+fJ9KAXTa4F/m4S3EAE9UxNZiNDuC49oMVjs0DtkK1NdzTA4zG
 R6gX4rS5myzdrBKdvp8Db2w7CgusQ5JPnP0YjQtSwDR+CQKbUsfG+eaPojqnv83IV9dk
 hQSG7BKjJDgD9480zYdenSZcYYd/isZV4ODztPpfakoxQlnuKdJvpQ1HmEy916pbngF2
 N5oA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=pZhkWT3csb90r67DibHpoeRzvK+mhTZXWz/fZQ4VHKY=;
 b=SS2dXmo/JiEMvPJvJCZAeTY9aZxZY4JKwpzuCNUM8qr9EhOL04vSTRrbziqbv94npm
 9qaZ+sSTVe7OcJGNvoZ06UWVsl+oYyWPKtGe2tawpPmmzmhM7eNemWxB7GqnTT5utESZ
 mUzWA0ih7/6lPjJmN34ywZW0dgdtTDVobTNMzt82HqcuxCoYky2cKq1IB6D0PbxyfkWo
 Tn7esoPneerE1WuGK8Dk95cRAn5OIec6Qz1tiLAaaFjUeAMroHD/RdNjTPezaf7WFUoE
 ddNRd9yjksC/Ir5OMoXsRFi2uCqXG+YCTGsHNmP1GiLusq6aPh9CEEPDtalcf+fJ/zxc
 +H4w==
X-Gm-Message-State: APjAAAU3jrMdL3mXJQM7SIeqeN2Mpq/1KSNJUxyQddXTkfx4/SrpYGAq
 RiDj4BBBH8AcN8hy92ZJ/OY=
X-Google-Smtp-Source: APXvYqxI33q78D0duFyAEI70NQlEOlqDfKDC5oWqXJiearz2ALl/Is4B00mcw9GGNJ9wq1VCZAH6Fw==
X-Received: by 2002:a6b:6b02:: with SMTP id g2mr3023322ioc.13.1565830694023;
 Wed, 14 Aug 2019 17:58:14 -0700 (PDT)
Received: from minid (cbl-45-2-119-34.yyz.frontiernetworks.ca. [45.2.119.34])
 by smtp.gmail.com with ESMTPSA id
 t2sm2830443iod.81.2019.08.14.17.58.12
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Wed, 14 Aug 2019 17:58:13 -0700 (PDT)
From: Noam Postavsky <npostavs@HIDDEN>
To: "Basil L. Contovounesios" <contovob@HIDDEN>
Subject: Re: bug#36886: 26.2;
 (global-eldoc-mode -1) should disable eldoc completely
References: <87h8719nzl.fsf@HIDDEN> <83imrggjmo.fsf@HIDDEN>
 <8736ijap0e.fsf@HIDDEN> <87d0hn23mm.fsf@HIDDEN>
 <83mugrg4kv.fsf@HIDDEN> <87k1bvzovi.fsf@HIDDEN> <83ftmjfxq7.fsf@HIDDEN>
 <87k1btsr78.fsf@HIDDEN> <87ftmhs70z.fsf@HIDDEN>
 <87a7cproch.fsf@HIDDEN>
Date: Wed, 14 Aug 2019 20:58:12 -0400
In-Reply-To: <87a7cproch.fsf@HIDDEN> (Noam Postavsky's message of "Sun, 04
 Aug 2019 10:34:38 -0400")
Message-ID: <8736i3qm6z.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2.90 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36886
Cc: Eli Zaretskii <eliz@HIDDEN>, 36886 <at> debbugs.gnu.org, sanelz@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain

Updated patch attached.  I'll push in a few days, assuming nothing else
turns up.


--=-=-=
Content-Type: text/plain
Content-Disposition: attachment;
 filename=0001-Respect-global-eldoc-mode-in-minibuffers-Bug-36886.patch
Content-Description: patch

From d2557c135a83eda9e1c5347850669c195ae588b4 Mon Sep 17 00:00:00 2001
From: Noam Postavsky <npostavs@HIDDEN>
Date: Sat, 3 Aug 2019 20:19:31 -0400
Subject: [PATCH] Respect global-eldoc-mode in minibuffers (Bug#36886)

* lisp/emacs-lisp/easy-mmode.el (define-globalized-minor-mode): Accept
a BODY parameter.
* doc/lispref/modes.texi (Defining Minor Modes): Document new
parameter.
* etc/NEWS: Announce it.

* lisp/simple.el (read--expression): Move eldoc-mode setup to...
* lisp/emacs-lisp/eldoc.el (eldoc--eval-expression-setup): ... here,
new function.
(global-eldoc-mode): Add or remove it to
eval-expression-minibuffer-setup-hook when enabling or disabling
global-eldoc-mode.  This enables eldoc in the minibuffer (solving
Bug#27202), only when global-eldoc-mode is enabled.
---
 doc/lispref/modes.texi        |  8 ++++----
 etc/NEWS                      |  3 +++
 lisp/emacs-lisp/easy-mmode.el | 38 ++++++++++++++++++++++----------------
 lisp/emacs-lisp/eldoc.el      | 19 ++++++++++++++++++-
 lisp/simple.el                |  6 ++----
 5 files changed, 49 insertions(+), 25 deletions(-)

diff --git a/doc/lispref/modes.texi b/doc/lispref/modes.texi
index d12f241424..d7e1213ea9 100644
--- a/doc/lispref/modes.texi
+++ b/doc/lispref/modes.texi
@@ -1783,12 +1783,12 @@ Defining Minor Modes
         (hungry-electric-delete t)))))
 @end smallexample
 
-@defmac define-globalized-minor-mode global-mode mode turn-on keyword-args@dots{}
+@defmac define-globalized-minor-mode global-mode mode turn-on keyword-args@dots{} body@dots{}
 This defines a global toggle named @var{global-mode} whose meaning is
 to enable or disable the buffer-local minor mode @var{mode} in all
-buffers.  To turn on the minor mode in a buffer, it uses the function
-@var{turn-on}; to turn off the minor mode, it calls @var{mode} with
-@minus{}1 as argument.
+buffers.  It also executes the @var{body} forms.  To turn on the minor
+mode in a buffer, it uses the function @var{turn-on}; to turn off the
+minor mode, it calls @var{mode} with @minus{}1 as argument.
 
 Globally enabling the mode also affects buffers subsequently created
 by visiting files, and buffers that use a major mode other than
diff --git a/etc/NEWS b/etc/NEWS
index 13de6bb0f8..318bfe4259 100644
--- a/etc/NEWS
+++ b/etc/NEWS
@@ -2378,6 +2378,9 @@ the Emacs Lisp manual.
 ** `directory-files-recursively' can now take an optional PREDICATE
 parameter to control descending into subdirectories.
 
++++
+** 'define-globalized-minor-mode' now takes BODY forms.
+
 
 * Changes in Emacs 27.1 on Non-Free Operating Systems
 
diff --git a/lisp/emacs-lisp/easy-mmode.el b/lisp/emacs-lisp/easy-mmode.el
index be531aab84..fcbddc8629 100644
--- a/lisp/emacs-lisp/easy-mmode.el
+++ b/lisp/emacs-lisp/easy-mmode.el
@@ -363,18 +363,21 @@ 'easy-mmode-define-global-mode
 ;;;###autoload
 (defalias 'define-global-minor-mode 'define-globalized-minor-mode)
 ;;;###autoload
-(defmacro define-globalized-minor-mode (global-mode mode turn-on &rest keys)
+(defmacro define-globalized-minor-mode (global-mode mode turn-on &rest body)
   "Make a global mode GLOBAL-MODE corresponding to buffer-local minor MODE.
 TURN-ON is a function that will be called with no args in every buffer
   and that should try to turn MODE on if applicable for that buffer.
-KEYS is a list of CL-style keyword arguments.  As the minor mode
-  defined by this function is always global, any :global keyword is
-  ignored.  Other keywords have the same meaning as in `define-minor-mode',
-  which see.  In particular, :group specifies the custom group.
-  The most useful keywords are those that are passed on to the
-  `defcustom'.  It normally makes no sense to pass the :lighter
-  or :keymap keywords to `define-globalized-minor-mode', since these
-  are usually passed to the buffer-local version of the minor mode.
+Each of KEY VALUE is a pair of CL-style keyword arguments.  As
+  the minor mode defined by this function is always global, any
+  :global keyword is ignored.  Other keywords have the same
+  meaning as in `define-minor-mode', which see.  In particular,
+  :group specifies the custom group.  The most useful keywords
+  are those that are passed on to the `defcustom'.  It normally
+  makes no sense to pass the :lighter or :keymap keywords to
+  `define-globalized-minor-mode', since these are usually passed
+  to the buffer-local version of the minor mode.
+BODY contains code to execute each time the mode is enabled or disabled.
+  It is executed after toggling the mode, and before running GLOBAL-MODE-hook.
 
 If MODE's set-up depends on the major mode in effect when it was
 enabled, then disabling and reenabling MODE should make MODE work
@@ -384,7 +387,9 @@ define-globalized-minor-mode
 
 When a major mode is initialized, MODE is actually turned on just
 after running the major mode's hook.  However, MODE is not turned
-on if the hook has explicitly disabled it."
+on if the hook has explicitly disabled it.
+
+\(fn GLOBAL-MODE MODE TURN-ON [KEY VALUE]... BODY)"
   (declare (doc-string 2))
   (let* ((global-mode-name (symbol-name global-mode))
 	 (mode-name (symbol-name mode))
@@ -404,12 +409,12 @@ define-globalized-minor-mode
 	 keyw)
 
     ;; Check keys.
-    (while (keywordp (setq keyw (car keys)))
-      (setq keys (cdr keys))
+    (while (keywordp (setq keyw (car body)))
+      (pop body)
       (pcase keyw
-	(:group (setq group (nconc group (list :group (pop keys)))))
-	(:global (setq keys (cdr keys)))
-	(_ (push keyw extra-keywords) (push (pop keys) extra-keywords))))
+        (:group (setq group (nconc group (list :group (pop body)))))
+        (:global (pop body))
+        (_ (push keyw extra-keywords) (push (pop body) extra-keywords))))
 
     `(progn
        (progn
@@ -446,7 +451,8 @@ define-globalized-minor-mode
 	 ;; Go through existing buffers.
 	 (dolist (buf (buffer-list))
 	   (with-current-buffer buf
-	     (if ,global-mode (funcall #',turn-on) (when ,mode (,mode -1))))))
+             (if ,global-mode (funcall #',turn-on) (when ,mode (,mode -1)))))
+         ,@body)
 
        ;; Autoloading define-globalized-minor-mode autoloads everything
        ;; up-to-here.
diff --git a/lisp/emacs-lisp/eldoc.el b/lisp/emacs-lisp/eldoc.el
index 16b5863209..2892faae21 100644
--- a/lisp/emacs-lisp/eldoc.el
+++ b/lisp/emacs-lisp/eldoc.el
@@ -207,7 +207,24 @@ eldoc-mode
 (define-globalized-minor-mode global-eldoc-mode eldoc-mode turn-on-eldoc-mode
   :group 'eldoc
   :initialize 'custom-initialize-delay
-  :init-value t)
+  :init-value t
+  ;; For `read--expression', the usual global mode mechanism of
+  ;; `change-major-mode-hook' runs in the minibuffer before
+  ;; `eldoc-documentation-function' is set, so `turn-on-eldoc-mode'
+  ;; does nothing.  Configure and enable eldoc from
+  ;; `eval-expression-minibuffer-setup-hook' instead.
+  (if global-eldoc-mode
+      (add-hook 'eval-expression-minibuffer-setup-hook
+                #'eldoc--eval-expression-setup)
+    (remove-hook 'eval-expression-minibuffer-setup-hook
+                 #'eldoc--eval-expression-setup)))
+
+(defun eldoc--eval-expression-setup ()
+  ;; Setup `eldoc', similar to `emacs-lisp-mode'.  FIXME: Call
+  ;; `emacs-lisp-mode' itself?
+  (add-function :before-until (local 'eldoc-documentation-function)
+                #'elisp-eldoc-documentation-function)
+  (eldoc-mode +1))
 
 ;;;###autoload
 (defun turn-on-eldoc-mode ()
diff --git a/lisp/simple.el b/lisp/simple.el
index e33709e8ad..479c2d38fd 100644
--- a/lisp/simple.el
+++ b/lisp/simple.el
@@ -1580,10 +1580,8 @@ read--expression
   (let ((minibuffer-completing-symbol t))
     (minibuffer-with-setup-hook
         (lambda ()
-          ;; FIXME: call emacs-lisp-mode?
-          (add-function :before-until (local 'eldoc-documentation-function)
-                        #'elisp-eldoc-documentation-function)
-          (eldoc-mode 1)
+          ;; FIXME: call emacs-lisp-mode (see also
+          ;; `eldoc--eval-expression-setup')?
           (add-hook 'completion-at-point-functions
                     #'elisp-completion-at-point nil t)
           (run-hooks 'eval-expression-minibuffer-setup-hook))
-- 
2.11.0


--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36886; Package emacs. Full text available.

Message received at 36886 <at> debbugs.gnu.org:


Received: (at 36886) by debbugs.gnu.org; 4 Aug 2019 16:28:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 04 12:28:21 2019
Received: from localhost ([127.0.0.1]:34169 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1huJMr-0007T3-7w
	for submit <at> debbugs.gnu.org; Sun, 04 Aug 2019 12:28:21 -0400
Received: from eggs.gnu.org ([209.51.188.92]:59103)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1huJMp-0007Sr-N9
 for 36886 <at> debbugs.gnu.org; Sun, 04 Aug 2019 12:28:20 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:46851)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1huJMk-00079Z-98; Sun, 04 Aug 2019 12:28:14 -0400
Received: from [176.228.60.248] (port=4014 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1huJMj-0005xN-Cd; Sun, 04 Aug 2019 12:28:14 -0400
Date: Sun, 04 Aug 2019 19:27:57 +0300
Message-Id: <83y308dhf6.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Noam Postavsky <npostavs@HIDDEN>
In-reply-to: <87k1btsr78.fsf@HIDDEN> (message from Noam Postavsky on Sat,
 03 Aug 2019 20:35:23 -0400)
Subject: Re: bug#36886: 26.2;
 (global-eldoc-mode -1) should disable eldoc completely
References: <87h8719nzl.fsf@HIDDEN> <83imrggjmo.fsf@HIDDEN>
 <8736ijap0e.fsf@HIDDEN> <87d0hn23mm.fsf@HIDDEN>
 <83mugrg4kv.fsf@HIDDEN> <87k1bvzovi.fsf@HIDDEN>
 <83ftmjfxq7.fsf@HIDDEN> <87k1btsr78.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36886
Cc: contovob@HIDDEN, sanelz@HIDDEN, 36886 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Noam Postavsky <npostavs@HIDDEN>
> Cc: "Basil L. Contovounesios" <contovob@HIDDEN>,  sanelz@HIDDEN,  36886 <at> debbugs.gnu.org
> Date: Sat, 03 Aug 2019 20:35:23 -0400
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> > I actually don't understand why, when the globalized mode is ON, it
> > doesn't work in the minibuffer.  What am I missing?
> 
> define-globalized-minor-mode only adds after-change-major-mode-hook,
> find-file-hook, and change-major-mode-hook.  AFAICT, the minibuffer
> stays in fundamental-mode, and doesn't visit a file so none of those are
> triggered.  Possible patch attached (some additional manual updates +
> NEWS would be needed for define-globalized-minor-mode change).

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36886; Package emacs. Full text available.

Message received at 36886 <at> debbugs.gnu.org:


Received: (at 36886) by debbugs.gnu.org; 4 Aug 2019 14:34:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 04 10:34:48 2019
Received: from localhost ([127.0.0.1]:34075 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1huHay-0004hq-FO
	for submit <at> debbugs.gnu.org; Sun, 04 Aug 2019 10:34:48 -0400
Received: from mail-io1-f50.google.com ([209.85.166.50]:35396)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>) id 1huHaw-0004hc-6l
 for 36886 <at> debbugs.gnu.org; Sun, 04 Aug 2019 10:34:46 -0400
Received: by mail-io1-f50.google.com with SMTP id m24so162254449ioo.2
 for <36886 <at> debbugs.gnu.org>; Sun, 04 Aug 2019 07:34:46 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=+MdOMh0TnYkWyB6J0LhPMb6H9KVJ1rxann8xO+hYNAk=;
 b=Yeq1LVtJlrilsBEAF96B4el/y9110BGPEyXNMowGlfxBYkCNbBxSqHz6UAAgHuwJx+
 7f113vtTVKw6cjvG+V6Gj8skQt8GAtbZEiYo/YGbwL1hAWuRgGhLG9JNc9w4zpAfBfKV
 XaUxUhmxm04HBdbDMCWFon8gfhgkDQLyqUv/OfZWbep4xU6wSSpC6+J651FQnYflbStI
 j5bOENFCZ0xYJdhhH+HajrwYvcDzYHdRq8tZIAQkxwLDMN13z575AdFClDNBdwYyeu+5
 JGs5wMnxKd3JNj12cMFJQPjUXVRpoCX+LtDBuhxczxorO5izjGjMHIEC+wCh/bMizIpq
 9O3g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=+MdOMh0TnYkWyB6J0LhPMb6H9KVJ1rxann8xO+hYNAk=;
 b=HIopkkzEBSIOwHS9wTqTbdlO1KbWnlpRC/BrrYoxtBuQf71Yb/+iDWFOd9pX9qaP5C
 Lq5YfcNbBETVRu61lU/1oMLpfv77HmQUILO08RsCw0CdqvO0pifnKVaBnjduuc9xl39f
 +LyHSTeqQrs3pok2eOT5MfecebUXCm+1Ey+FVDQdfCg/ZETiKaM6sqzP5oAQGcCCdjuf
 85wjIPE+8oC2zykHKqhwjkvbSnIr7rZ6g8ujbq+Xr8yqooyqwyqWRUS9evNUWNoE6WI6
 iVG+MuuegERH9Pw9XxT/DqDqHz2CBiIwMa2Oj+VtbKipnaZJA61nwO2IPAIaH3R9pfua
 MHhA==
X-Gm-Message-State: APjAAAXS/F0R0zhqSgX8FMNBrBXSwRdJdimexf+hGlgQ4RJbDx/pd3XK
 rtmiGeoDuF+dZ68XU240ibE=
X-Google-Smtp-Source: APXvYqz3s8uFaluvAcJG3CNGoGBo0FZNr8nk2LssBPkMFRn3ZqDNa6SzfotXYFx6p7GpTgEcwUc9Hg==
X-Received: by 2002:a6b:5103:: with SMTP id f3mr648551iob.142.1564929280468;
 Sun, 04 Aug 2019 07:34:40 -0700 (PDT)
Received: from minid (cbl-45-2-119-34.yyz.frontiernetworks.ca. [45.2.119.34])
 by smtp.gmail.com with ESMTPSA id
 p3sm124065227iom.7.2019.08.04.07.34.38
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Sun, 04 Aug 2019 07:34:39 -0700 (PDT)
From: Noam Postavsky <npostavs@HIDDEN>
To: "Basil L. Contovounesios" <contovob@HIDDEN>
Subject: Re: bug#36886: 26.2;
 (global-eldoc-mode -1) should disable eldoc completely
References: <87h8719nzl.fsf@HIDDEN> <83imrggjmo.fsf@HIDDEN>
 <8736ijap0e.fsf@HIDDEN> <87d0hn23mm.fsf@HIDDEN>
 <83mugrg4kv.fsf@HIDDEN> <87k1bvzovi.fsf@HIDDEN> <83ftmjfxq7.fsf@HIDDEN>
 <87k1btsr78.fsf@HIDDEN> <87ftmhs70z.fsf@HIDDEN>
Date: Sun, 04 Aug 2019 10:34:38 -0400
In-Reply-To: <87ftmhs70z.fsf@HIDDEN> (Basil L. Contovounesios's message of
 "Sun, 04 Aug 2019 10:51:08 +0300")
Message-ID: <87a7cproch.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2.90 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36886
Cc: Eli Zaretskii <eliz@HIDDEN>, 36886 <at> debbugs.gnu.org, sanelz@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

"Basil L. Contovounesios" <contovob@HIDDEN> writes:

> The problem is that minibuffer-setup-hook, which sets
> eldoc-documentation-function, has not yet run at this stage, so the
> minibuffer is not yet considered suitable for enabling eldoc-mode.

Ah, tricky, we should probably put this in a comment somewhere.

>> Subject: [PATCH] Respect global-eldoc-mode in minibuffers (Bug#36886)

> Should this log entry mention bug#27202 as well?

Sure, can't hurt.

> shouldn't this call to eldoc-mode be bundled in the same hook function
> with...

>> @@ -1583,7 +1583,6 @@ read--expression
>>            ;; FIXME: call emacs-lisp-mode?
>>            (add-function :before-until (local 'eldoc-documentation-funct=
ion)
>>                          #'elisp-eldoc-documentation-function)
>
> ...this advice?

Oh yeah, that would make sense.

=C5=A0t=C4=9Bp=C3=A1n N=C4=9Bmec <stepnem@HIDDEN> writes:

> On Sun, 04 Aug 2019 10:51:08 +0300
> Basil L. Contovounesios wrote:
>
>> This looks fine to me (the only alternative I can think of is creating a
>> new major mode specifically for read--expression) [...]
>
> ...which actually sounds like it could be a real improvement in other
> respects, too: many users seem to be trying to make M-: more convenient
> (better completion, possibly syntax highlighting, paredit etc.); this
> looks like a good way to make that easier or even unnecessary by default
> (deriving from emacs-lisp-mode).

I tried calling emacs-lisp-mode as the FIXME suggests, but it results in
a minibuffer that can't be C-g'd out of.  I guess it destroys or misses
some minibuffer-specific setup?  So if someone can figure out how to do
that properly it does sound like a good solution.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36886; Package emacs. Full text available.

Message received at 36886 <at> debbugs.gnu.org:


Received: (at 36886) by debbugs.gnu.org; 4 Aug 2019 09:00:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 04 05:00:29 2019
Received: from localhost ([127.0.0.1]:60415 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1huCNR-0004Fn-CU
	for submit <at> debbugs.gnu.org; Sun, 04 Aug 2019 05:00:29 -0400
Received: from mail-wr1-f50.google.com ([209.85.221.50]:44097)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stepnem@HIDDEN>) id 1huCNP-0004FW-Ir
 for 36886 <at> debbugs.gnu.org; Sun, 04 Aug 2019 05:00:28 -0400
Received: by mail-wr1-f50.google.com with SMTP id p17so81369541wrf.11
 for <36886 <at> debbugs.gnu.org>; Sun, 04 Aug 2019 02:00:27 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:in-reply-to:references:user-agent:date
 :message-id:mime-version:content-transfer-encoding;
 bh=BDz9T4tadj7oSh0+G2Q6w+aN36KacgL0gJL6YZjzH94=;
 b=W3KxZdgx3CAqK/E3iPfo1Fhd0y85dlNq/cMwCkn1nrItc+f2G5u84wQw8XL1Wp6QA+
 Fkm8OTcf5+NRjDarGSVzisLHHmcYup3hS6txWqZUIpEuz3HhwQDqiYRjUWOXPKzR6cwR
 GNvJiX4jiNrLDpQgBTyHcnyFW8fu3aVoUtmtFuIPYxx34M2QhHcIMj+wLNqYuuyvG5Pa
 Rly5fyaBMeKGjfhssAuRHz3CoWD4Rl4FzB1gzD1FgtPk6vbelcebz+4PRNrUX6clueqU
 MBKaAwvvLvIZlfGitjy7sHajisAg3zTZPV4tb3Njg0i5FmSUvUOBjzunoa4KOVQShdUS
 hHrA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:in-reply-to:references
 :user-agent:date:message-id:mime-version:content-transfer-encoding;
 bh=BDz9T4tadj7oSh0+G2Q6w+aN36KacgL0gJL6YZjzH94=;
 b=mKeO6M1GMFQKsmuS1nOjsdc+MckGMIU/uziCqcs7FxwiM1xMHmiyTJCL1A+yeWNNmA
 6Fc7TqTrP6MroVqAhEPQAKKYQJNt84S9YNv+xMlLBgYZEvjBVdxz8AzAdtCFnfJ1phkt
 ghkNcFnxLGaVmT14WBtsMu9rvbrl+OcFXkXlAVrsgncHUI8fkwl3scjvDh+Pq/zCp075
 JP2ZJvjjpuKPSCCCOGerL3tBDLOI5awDv9HUIsUozHjPeMMrDHW//+3+rYG2HIIrCrtQ
 Nhj/xhGx1pZytkhglOiS1enb+bqNSwiVj/nmIO8EYADpH++Op0MMZplk8GTPocQ3p/9v
 wxbw==
X-Gm-Message-State: APjAAAXa0yCfS4JuR5rk+PsRg+NB42tlo8tJT5kpx8qkGJcLM3H3H1T5
 mBXJOKF6yLbWFF9Dxlr82+A=
X-Google-Smtp-Source: APXvYqyqyS8Cf0PwVOYXmKQH92pjAh/r4EL12H1zNay872mPuVUsYf7EVGg7TeibtQX91o3V/SSC2w==
X-Received: by 2002:a5d:5303:: with SMTP id e3mr20047147wrv.239.1564909221513; 
 Sun, 04 Aug 2019 02:00:21 -0700 (PDT)
Received: from localhost ([185.112.167.114])
 by smtp.gmail.com with ESMTPSA id j17sm136254411wrb.35.2019.08.04.02.00.20
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Sun, 04 Aug 2019 02:00:20 -0700 (PDT)
From: =?utf-8?B?xaB0xJtww6FuIE7Em21lYw==?= <stepnem@HIDDEN>
To: "Basil L. Contovounesios" <contovob@HIDDEN>
Subject: Re: bug#36886: 26.2; (global-eldoc-mode -1) should disable eldoc
 completely
In-Reply-To: <87ftmhs70z.fsf@HIDDEN> (Basil L. Contovounesios's message of
 "Sun, 04 Aug 2019 10:51:08 +0300")
References: <87h8719nzl.fsf@HIDDEN> <83imrggjmo.fsf@HIDDEN>
 <8736ijap0e.fsf@HIDDEN> <87d0hn23mm.fsf@HIDDEN>
 <83mugrg4kv.fsf@HIDDEN> <87k1bvzovi.fsf@HIDDEN>
 <83ftmjfxq7.fsf@HIDDEN> <87k1btsr78.fsf@HIDDEN>
 <87ftmhs70z.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
Date: Sun, 04 Aug 2019 11:00:19 +0200
Message-ID: <871ry1mhjw.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36886
Cc: sanelz@HIDDEN, 36886 <at> debbugs.gnu.org,
 Noam Postavsky <npostavs@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Sun, 04 Aug 2019 10:51:08 +0300
Basil L. Contovounesios wrote:

>> +  (if global-eldoc-mode
>> +      (add-hook 'eval-expression-minibuffer-setup-hook #'eldoc-mode)
>> +    (remove-hook 'eval-expression-minibuffer-setup-hook #'eldoc-mode)))
>
> This looks fine to me (the only alternative I can think of is creating a
> new major mode specifically for read--expression) [...]

...which actually sounds like it could be a real improvement in other
respects, too: many users seem to be trying to make M-: more convenient
(better completion, possibly syntax highlighting, paredit etc.); this
looks like a good way to make that easier or even unnecessary by default
(deriving from emacs-lisp-mode).

--=20
=C5=A0t=C4=9Bp=C3=A1n




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36886; Package emacs. Full text available.

Message received at 36886 <at> debbugs.gnu.org:


Received: (at 36886) by debbugs.gnu.org; 4 Aug 2019 07:51:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 04 03:51:19 2019
Received: from localhost ([127.0.0.1]:60377 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1huBIU-0002b6-QU
	for submit <at> debbugs.gnu.org; Sun, 04 Aug 2019 03:51:19 -0400
Received: from mail-wm1-f49.google.com ([209.85.128.49]:39219)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <contovob@HIDDEN>) id 1huBIT-0002au-4D
 for 36886 <at> debbugs.gnu.org; Sun, 04 Aug 2019 03:51:17 -0400
Received: by mail-wm1-f49.google.com with SMTP id u25so59867784wmc.4
 for <36886 <at> debbugs.gnu.org>; Sun, 04 Aug 2019 00:51:17 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=tcd-ie.20150623.gappssmtp.com; s=20150623;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=zRXMUXtqOD17HkXAurthiy87YI6oR/BBEomQxZXoSHc=;
 b=BsMCfJSLNf8kZqBjCBTsskxoCTIu8iLwK1gLWYSn5mDLK+TxX4tFck71fYSTIqP7DX
 0Ms4Kx+ox+x03sCtJaZ0FOHVL/+dpR2ZPDICHl2jc7ai3VmGecyXYyKtXPiqYbP94w0+
 TA/akGCrysOwA8XurXN2vWqVMvwYG9RRww/GbziLv66Kzl1yorLeIXW6mASHP8c6Vdia
 DbISw6JMUkaNv7T+AoCMK0fyqqiVqXp/x9NdIMe1Oo26W5I/VSpjw8ls7ANF8mN3JChQ
 Kxm9WfAaOM1YL+y0mprFjKrDfiPRaOt9muSimpjDcDuNbVEOJOEkqTdGVVhRHO4ZLyxB
 JR1w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=zRXMUXtqOD17HkXAurthiy87YI6oR/BBEomQxZXoSHc=;
 b=rNEstOeafnIhFNv+xk+SZ941w9j3uBvM5D7+pE2uetulIvG56bzmx1kybcNyPJEI3Y
 WoQqqsa9Nc1ikQhveLkusYV09X9QAqcdh5fVeCl+bnxJHhJ4nPZiHsW5Tcgr/5ro0YCK
 37GqlP5JYEX0E0sBp7aTmSiaIpVlS8NjvC2hku7yXBZF10z+20Vy4AkyEKXu8xAd70ct
 TG3z4zla9UZs7mu8R3a3AMr3OURVQxeNec6nOI4EBTql3gY/gj9eEdMSAHm9EI2VEwl3
 JuuXPfGUUPk822TJ4MsXUPVwf5fyE+63E2qG8m1GNKWebxdQOQpkS7CfKQcn1ryFomDo
 BifQ==
X-Gm-Message-State: APjAAAWWP7xGHQMin8Eyizq22Uniow/2Ux7YFa2AV+y3/61czEhlaa9/
 Dtvf6KuDQWAEMcJ9Rbu+wXQ4MA==
X-Google-Smtp-Source: APXvYqxf/XiHMJ1AqG7jjnTuSCzGkhduQku3PudoGPvKDKwxr8iGopiCLnntyhliKOqwRFlbn4THyg==
X-Received: by 2002:a1c:345:: with SMTP id 66mr12997997wmd.8.1564905071122;
 Sun, 04 Aug 2019 00:51:11 -0700 (PDT)
Received: from localhost (adsl-107.91.140.91.tellas.gr. [91.140.91.107])
 by smtp.gmail.com with ESMTPSA id o26sm167864291wro.53.2019.08.04.00.51.10
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Sun, 04 Aug 2019 00:51:10 -0700 (PDT)
From: "Basil L. Contovounesios" <contovob@HIDDEN>
To: Noam Postavsky <npostavs@HIDDEN>
Subject: Re: bug#36886: 26.2; (global-eldoc-mode -1) should disable eldoc
 completely
References: <87h8719nzl.fsf@HIDDEN> <83imrggjmo.fsf@HIDDEN>
 <8736ijap0e.fsf@HIDDEN> <87d0hn23mm.fsf@HIDDEN>
 <83mugrg4kv.fsf@HIDDEN> <87k1bvzovi.fsf@HIDDEN>
 <83ftmjfxq7.fsf@HIDDEN> <87k1btsr78.fsf@HIDDEN>
Date: Sun, 04 Aug 2019 10:51:08 +0300
In-Reply-To: <87k1btsr78.fsf@HIDDEN> (Noam Postavsky's message of "Sat, 03
 Aug 2019 20:35:23 -0400")
Message-ID: <87ftmhs70z.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36886
Cc: Eli Zaretskii <eliz@HIDDEN>, 36886 <at> debbugs.gnu.org, sanelz@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Noam Postavsky <npostavs@HIDDEN> writes:

> Eli Zaretskii <eliz@HIDDEN> writes:
>
>> I actually don't understand why, when the globalized mode is ON, it
>> doesn't work in the minibuffer.  What am I missing?
>
> define-globalized-minor-mode only adds after-change-major-mode-hook,
> find-file-hook, and change-major-mode-hook.  AFAICT, the minibuffer
> stays in fundamental-mode, and doesn't visit a file so none of those are
> triggered.

The call to read-from-minibuffer in read--expression triggers
change-major-mode-hook and after-change-major-mode-hook.

These in turn call turn-on-eldoc-mode, which calls eldoc--supported-p,
which checks the value of eldoc-documentation-function.

The problem is that minibuffer-setup-hook, which sets
eldoc-documentation-function, has not yet run at this stage, so the
minibuffer is not yet considered suitable for enabling eldoc-mode.

> Possible patch attached (some additional manual updates +
> NEWS would be needed for define-globalized-minor-mode change).
>
> From d16b9c5dffb84c53bc6f55c4ca74fc8135d48d7f Mon Sep 17 00:00:00 2001
> From: Noam Postavsky <npostavs@HIDDEN>
> Date: Sat, 3 Aug 2019 20:19:31 -0400
> Subject: [PATCH] Respect global-eldoc-mode in minibuffers (Bug#36886)
>
> * lisp/emacs-lisp/easy-mmode.el (define-globalized-minor-mode): Accept
> a BODY parameter.
> * lisp/emacs-lisp/eldoc.el (global-eldoc-mode): Add or remove
> eldoc-mode to eval-expression-minibuffer-setup-hook when enabling or
> disabling global-eldoc-mode.
> * lisp/simple.el (read--expression): Remove the no-longer-needed
> unconditional call to eldoc-mode.

Should this log entry mention bug#27202 as well?

[...]

> diff --git a/lisp/emacs-lisp/eldoc.el b/lisp/emacs-lisp/eldoc.el
> index 16b5863209..e5f1832de6 100644
> --- a/lisp/emacs-lisp/eldoc.el
> +++ b/lisp/emacs-lisp/eldoc.el
> @@ -207,7 +207,10 @@ eldoc-mode
>  (define-globalized-minor-mode global-eldoc-mode eldoc-mode turn-on-eldoc-mode
>    :group 'eldoc
>    :initialize 'custom-initialize-delay
> -  :init-value t)
> +  :init-value t
> +  (if global-eldoc-mode
> +      (add-hook 'eval-expression-minibuffer-setup-hook #'eldoc-mode)
> +    (remove-hook 'eval-expression-minibuffer-setup-hook #'eldoc-mode)))

This looks fine to me (the only alternative I can think of is creating a
new major mode specifically for read--expression), but shouldn't this
call to eldoc-mode be bundled in the same hook function with...

>  ;;;###autoload
>  (defun turn-on-eldoc-mode ()
> diff --git a/lisp/simple.el b/lisp/simple.el
> index e33709e8ad..f81400c073 100644
> --- a/lisp/simple.el
> +++ b/lisp/simple.el
> @@ -1583,7 +1583,6 @@ read--expression
>            ;; FIXME: call emacs-lisp-mode?
>            (add-function :before-until (local 'eldoc-documentation-function)
>                          #'elisp-eldoc-documentation-function)

...this advice?

> -          (eldoc-mode 1)
>            (add-hook 'completion-at-point-functions
>                      #'elisp-completion-at-point nil t)
>            (run-hooks 'eval-expression-minibuffer-setup-hook))

Thanks,

-- 
Basil




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36886; Package emacs. Full text available.

Message received at 36886 <at> debbugs.gnu.org:


Received: (at 36886) by debbugs.gnu.org; 4 Aug 2019 00:35:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Aug 03 20:35:33 2019
Received: from localhost ([127.0.0.1]:60222 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hu4Um-000099-M9
	for submit <at> debbugs.gnu.org; Sat, 03 Aug 2019 20:35:33 -0400
Received: from mail-io1-f42.google.com ([209.85.166.42]:38209)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>) id 1hu4Uk-00008x-PT
 for 36886 <at> debbugs.gnu.org; Sat, 03 Aug 2019 20:35:31 -0400
Received: by mail-io1-f42.google.com with SMTP id j6so40412586ioa.5
 for <36886 <at> debbugs.gnu.org>; Sat, 03 Aug 2019 17:35:30 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=VZbzQTLGuIb6B+iM57huxtklbw985aRYlyS3H/Itttg=;
 b=NbO4a7L0bJUDJdhZvI94TqPVjnVx/uww3ZmndmmS73qhsGo+fT7IspERy7OgN2Z5Je
 I1fklOYlJYElgst5Io083dpwvlEZuMITJGUeVDxb4YfmljeA9suVt2TBnmo0aTjJDqIW
 JPrrOQak3OW43BHlM9Rto7w5uIPf0qawTRfgIAv6Mt4OfEhm2zWMAWOoy2laHv7NgaHj
 +VD+Wz30jwzrdM7sR5jOdsWRYaypKxhRoixUy+EjupDesEuO7FcE1B0HOXiulhY7lNEn
 pFCl1yrGr72rykyYWYY0Qgw1w+FKnYx/8hqpMmY9xpcoZq5DX24uzeqCRF2cYygMUmEF
 FXxw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=VZbzQTLGuIb6B+iM57huxtklbw985aRYlyS3H/Itttg=;
 b=b0SE6aqgAXuhJcfTRhRe8NnrvUhubySMhAsl0IaTo5ANRSvMx0KYQlSElHnXuyYKRZ
 q2zC3727/5vLQrIZI3psZOtR1iYiTJn0ywaJk56JlR4OImxhWs28EFtKd8S+JwasuQoG
 dJHu9IsldR9Pd3MPKSMPScdnGzeqdp1Rc1No75MZyAU3HEzhK64ZXuHYhQTJCv+jKgFJ
 TBB9SH22YOGaYuUYiuP9BXIvUqjAULPoeHM63YtXvJN1TxCjMxqKv3XoMp1/uI89sFYh
 PZHK8sKlRDLxW7xt+06jR4CPrMExIsSuDbgo4rDdOHAi2u0C4zcGI+Kwm7/RurLLCpmN
 eD2Q==
X-Gm-Message-State: APjAAAU2VjlxfcE7Geg8eGEp5PblFLfs0iONlaiC6t5Xv/Q5zXKACjya
 wWgQAffO/ht5BEQhDbW8xKkBLIaj
X-Google-Smtp-Source: APXvYqyger4y2+Y4gPjxdkOl6J5fPB/xu/+ar4PqwnpNgVxfo5i44rjYvGLF7/1ey7Amq1Dwi87aog==
X-Received: by 2002:a6b:6611:: with SMTP id
 a17mr106377020ioc.179.1564878925093; 
 Sat, 03 Aug 2019 17:35:25 -0700 (PDT)
Received: from minid (cbl-45-2-119-34.yyz.frontiernetworks.ca. [45.2.119.34])
 by smtp.gmail.com with ESMTPSA id
 t14sm64086682ioi.60.2019.08.03.17.35.24
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Sat, 03 Aug 2019 17:35:24 -0700 (PDT)
From: Noam Postavsky <npostavs@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#36886: 26.2;
 (global-eldoc-mode -1) should disable eldoc completely
References: <87h8719nzl.fsf@HIDDEN> <83imrggjmo.fsf@HIDDEN>
 <8736ijap0e.fsf@HIDDEN> <87d0hn23mm.fsf@HIDDEN>
 <83mugrg4kv.fsf@HIDDEN> <87k1bvzovi.fsf@HIDDEN> <83ftmjfxq7.fsf@HIDDEN>
Date: Sat, 03 Aug 2019 20:35:23 -0400
In-Reply-To: <83ftmjfxq7.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 02 Aug
 2019 17:28:16 +0300")
Message-ID: <87k1btsr78.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2.90 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36886
Cc: "Basil L. Contovounesios" <contovob@HIDDEN>, sanelz@HIDDEN,
 36886 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain

Eli Zaretskii <eliz@HIDDEN> writes:

> I actually don't understand why, when the globalized mode is ON, it
> doesn't work in the minibuffer.  What am I missing?

define-globalized-minor-mode only adds after-change-major-mode-hook,
find-file-hook, and change-major-mode-hook.  AFAICT, the minibuffer
stays in fundamental-mode, and doesn't visit a file so none of those are
triggered.  Possible patch attached (some additional manual updates +
NEWS would be needed for define-globalized-minor-mode change).


--=-=-=
Content-Type: text/plain
Content-Disposition: attachment;
 filename=0001-Respect-global-eldoc-mode-in-minibuffers-Bug-36886.patch
Content-Description: patch

From d16b9c5dffb84c53bc6f55c4ca74fc8135d48d7f Mon Sep 17 00:00:00 2001
From: Noam Postavsky <npostavs@HIDDEN>
Date: Sat, 3 Aug 2019 20:19:31 -0400
Subject: [PATCH] Respect global-eldoc-mode in minibuffers (Bug#36886)

* lisp/emacs-lisp/easy-mmode.el (define-globalized-minor-mode): Accept
a BODY parameter.
* lisp/emacs-lisp/eldoc.el (global-eldoc-mode): Add or remove
eldoc-mode to eval-expression-minibuffer-setup-hook when enabling or
disabling global-eldoc-mode.
* lisp/simple.el (read--expression): Remove the no-longer-needed
unconditional call to eldoc-mode.
---
 lisp/emacs-lisp/easy-mmode.el | 38 ++++++++++++++++++++++----------------
 lisp/emacs-lisp/eldoc.el      |  5 ++++-
 lisp/simple.el                |  1 -
 3 files changed, 26 insertions(+), 18 deletions(-)

diff --git a/lisp/emacs-lisp/easy-mmode.el b/lisp/emacs-lisp/easy-mmode.el
index be531aab84..fcbddc8629 100644
--- a/lisp/emacs-lisp/easy-mmode.el
+++ b/lisp/emacs-lisp/easy-mmode.el
@@ -363,18 +363,21 @@ 'easy-mmode-define-global-mode
 ;;;###autoload
 (defalias 'define-global-minor-mode 'define-globalized-minor-mode)
 ;;;###autoload
-(defmacro define-globalized-minor-mode (global-mode mode turn-on &rest keys)
+(defmacro define-globalized-minor-mode (global-mode mode turn-on &rest body)
   "Make a global mode GLOBAL-MODE corresponding to buffer-local minor MODE.
 TURN-ON is a function that will be called with no args in every buffer
   and that should try to turn MODE on if applicable for that buffer.
-KEYS is a list of CL-style keyword arguments.  As the minor mode
-  defined by this function is always global, any :global keyword is
-  ignored.  Other keywords have the same meaning as in `define-minor-mode',
-  which see.  In particular, :group specifies the custom group.
-  The most useful keywords are those that are passed on to the
-  `defcustom'.  It normally makes no sense to pass the :lighter
-  or :keymap keywords to `define-globalized-minor-mode', since these
-  are usually passed to the buffer-local version of the minor mode.
+Each of KEY VALUE is a pair of CL-style keyword arguments.  As
+  the minor mode defined by this function is always global, any
+  :global keyword is ignored.  Other keywords have the same
+  meaning as in `define-minor-mode', which see.  In particular,
+  :group specifies the custom group.  The most useful keywords
+  are those that are passed on to the `defcustom'.  It normally
+  makes no sense to pass the :lighter or :keymap keywords to
+  `define-globalized-minor-mode', since these are usually passed
+  to the buffer-local version of the minor mode.
+BODY contains code to execute each time the mode is enabled or disabled.
+  It is executed after toggling the mode, and before running GLOBAL-MODE-hook.
 
 If MODE's set-up depends on the major mode in effect when it was
 enabled, then disabling and reenabling MODE should make MODE work
@@ -384,7 +387,9 @@ define-globalized-minor-mode
 
 When a major mode is initialized, MODE is actually turned on just
 after running the major mode's hook.  However, MODE is not turned
-on if the hook has explicitly disabled it."
+on if the hook has explicitly disabled it.
+
+\(fn GLOBAL-MODE MODE TURN-ON [KEY VALUE]... BODY)"
   (declare (doc-string 2))
   (let* ((global-mode-name (symbol-name global-mode))
 	 (mode-name (symbol-name mode))
@@ -404,12 +409,12 @@ define-globalized-minor-mode
 	 keyw)
 
     ;; Check keys.
-    (while (keywordp (setq keyw (car keys)))
-      (setq keys (cdr keys))
+    (while (keywordp (setq keyw (car body)))
+      (pop body)
       (pcase keyw
-	(:group (setq group (nconc group (list :group (pop keys)))))
-	(:global (setq keys (cdr keys)))
-	(_ (push keyw extra-keywords) (push (pop keys) extra-keywords))))
+        (:group (setq group (nconc group (list :group (pop body)))))
+        (:global (pop body))
+        (_ (push keyw extra-keywords) (push (pop body) extra-keywords))))
 
     `(progn
        (progn
@@ -446,7 +451,8 @@ define-globalized-minor-mode
 	 ;; Go through existing buffers.
 	 (dolist (buf (buffer-list))
 	   (with-current-buffer buf
-	     (if ,global-mode (funcall #',turn-on) (when ,mode (,mode -1))))))
+             (if ,global-mode (funcall #',turn-on) (when ,mode (,mode -1)))))
+         ,@body)
 
        ;; Autoloading define-globalized-minor-mode autoloads everything
        ;; up-to-here.
diff --git a/lisp/emacs-lisp/eldoc.el b/lisp/emacs-lisp/eldoc.el
index 16b5863209..e5f1832de6 100644
--- a/lisp/emacs-lisp/eldoc.el
+++ b/lisp/emacs-lisp/eldoc.el
@@ -207,7 +207,10 @@ eldoc-mode
 (define-globalized-minor-mode global-eldoc-mode eldoc-mode turn-on-eldoc-mode
   :group 'eldoc
   :initialize 'custom-initialize-delay
-  :init-value t)
+  :init-value t
+  (if global-eldoc-mode
+      (add-hook 'eval-expression-minibuffer-setup-hook #'eldoc-mode)
+    (remove-hook 'eval-expression-minibuffer-setup-hook #'eldoc-mode)))
 
 ;;;###autoload
 (defun turn-on-eldoc-mode ()
diff --git a/lisp/simple.el b/lisp/simple.el
index e33709e8ad..f81400c073 100644
--- a/lisp/simple.el
+++ b/lisp/simple.el
@@ -1583,7 +1583,6 @@ read--expression
           ;; FIXME: call emacs-lisp-mode?
           (add-function :before-until (local 'eldoc-documentation-function)
                         #'elisp-eldoc-documentation-function)
-          (eldoc-mode 1)
           (add-hook 'completion-at-point-functions
                     #'elisp-completion-at-point nil t)
           (run-hooks 'eval-expression-minibuffer-setup-hook))
-- 
2.11.0


--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36886; Package emacs. Full text available.

Message received at 36886 <at> debbugs.gnu.org:


Received: (at 36886) by debbugs.gnu.org; 2 Aug 2019 14:33:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 02 10:33:19 2019
Received: from localhost ([127.0.0.1]:57544 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1htYcR-00049q-D3
	for submit <at> debbugs.gnu.org; Fri, 02 Aug 2019 10:33:19 -0400
Received: from eggs.gnu.org ([209.51.188.92]:54930)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1htYcP-00049b-2T
 for 36886 <at> debbugs.gnu.org; Fri, 02 Aug 2019 10:33:17 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:40250)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1htYcJ-00072d-UC; Fri, 02 Aug 2019 10:33:11 -0400
Received: from [176.228.60.248] (port=3380 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1htYcG-0005CX-Au; Fri, 02 Aug 2019 10:33:09 -0400
Date: Fri, 02 Aug 2019 17:33:04 +0300
Message-Id: <83d0hnfxi7.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Sanel Zukan <sanelz@HIDDEN>
In-reply-to: <87pnln91dz.fsf@HIDDEN> (message from Sanel Zukan on Fri, 02
 Aug 2019 14:51:04 +0200)
Subject: Re: bug#36886: 26.2;
 (global-eldoc-mode -1) should disable eldoc completely
References: <87h8719nzl.fsf@HIDDEN> <83imrggjmo.fsf@HIDDEN>
 <8736ijap0e.fsf@HIDDEN> <83tvazg51s.fsf@HIDDEN>
 <87pnln91dz.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36886
Cc: 36886 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Sanel Zukan <sanelz@HIDDEN>
> Cc: 36886 <at> debbugs.gnu.org
> Date: Fri, 02 Aug 2019 14:51:04 +0200
> 
> > So this only happens in M-:.  That wasn't evident from your original
> > report.  global-eldoc-mode generally shows the signatures when point
> > is inside any defun or other def* forms, not only in the minibuffer.
> 
> Hm... eldoc-message-function is part of eldoc package and I was hoping
> that, by completely disabling eldoc-mode, it will revert whatever is
> enabled when mode is initialized from that package. I guess different
> views from user and developer points.

I don't think this is about the differences in our views: I didn't say
I considered the behavior you described correct (it isn't).

My point was that your original report lacked some details, which
caused me to think the problem was not reproducible, because my na´ve
attempt to reproduce it didn't use M-:.  It is important to describe
the recipe in enough detail to avoid that; please do that in the
future.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36886; Package emacs. Full text available.

Message received at 36886 <at> debbugs.gnu.org:


Received: (at 36886) by debbugs.gnu.org; 2 Aug 2019 14:28:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 02 10:28:30 2019
Received: from localhost ([127.0.0.1]:57535 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1htYXl-0001tD-OS
	for submit <at> debbugs.gnu.org; Fri, 02 Aug 2019 10:28:29 -0400
Received: from eggs.gnu.org ([209.51.188.92]:53289)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1htYXj-0001sz-DD
 for 36886 <at> debbugs.gnu.org; Fri, 02 Aug 2019 10:28:27 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:40171)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1htYXe-0002CM-7o; Fri, 02 Aug 2019 10:28:22 -0400
Received: from [176.228.60.248] (port=3081 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1htYXc-0004rv-N8; Fri, 02 Aug 2019 10:28:21 -0400
Date: Fri, 02 Aug 2019 17:28:16 +0300
Message-Id: <83ftmjfxq7.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: "Basil L. Contovounesios" <contovob@HIDDEN>
In-reply-to: <87k1bvzovi.fsf@HIDDEN> (contovob@HIDDEN)
Subject: Re: bug#36886: 26.2; (global-eldoc-mode -1) should disable eldoc
 completely
References: <87h8719nzl.fsf@HIDDEN> <83imrggjmo.fsf@HIDDEN>
 <8736ijap0e.fsf@HIDDEN> <87d0hn23mm.fsf@HIDDEN>
 <83mugrg4kv.fsf@HIDDEN> <87k1bvzovi.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36886
Cc: sanelz@HIDDEN, 36886 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: "Basil L. Contovounesios" <contovob@HIDDEN>
> Cc: sanelz@HIDDEN,  36886 <at> debbugs.gnu.org
> Date: Fri, 02 Aug 2019 16:19:13 +0300
> 
> >> Dmitry suggested making this behaviour conditional as a workaround, but
> >> ultimately it would probably be best to try fixing bug#27202 without
> >> messing with eldoc-mode in read--expression.
> >
> > I agree.  Any suggestions?
> 
> Not off the top of my head, as I'm not familiar with eldoc-mode or
> bug#27202, but I can try to take a look in the coming days if no-one
> does so first.

I actually don't understand why, when the globalized mode is ON, it
doesn't work in the minibuffer.  What am I missing?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36886; Package emacs. Full text available.

Message received at 36886 <at> debbugs.gnu.org:


Received: (at 36886) by debbugs.gnu.org; 2 Aug 2019 13:19:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 02 09:19:29 2019
Received: from localhost ([127.0.0.1]:56087 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1htXSz-00062S-7i
	for submit <at> debbugs.gnu.org; Fri, 02 Aug 2019 09:19:29 -0400
Received: from mail-wr1-f46.google.com ([209.85.221.46]:41983)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <contovob@HIDDEN>) id 1htXSw-00062E-UQ
 for 36886 <at> debbugs.gnu.org; Fri, 02 Aug 2019 09:19:27 -0400
Received: by mail-wr1-f46.google.com with SMTP id c2so73927399wrm.8
 for <36886 <at> debbugs.gnu.org>; Fri, 02 Aug 2019 06:19:26 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=tcd-ie.20150623.gappssmtp.com; s=20150623;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=IJUWrVjjnEoitYcEVtqMhv57l/pB2CJp9sM92nBC9e8=;
 b=MULluFzPGHL4E6wLHyMHO4ouxGwNnc8RGPsluR3PAbcBmPX1fzYWhZaus84rbyNtAz
 5YzirKE0ysPdA3bFcPlizvt1IcZB5jJaPNQuKbfrwoaq4ckltcIWeQRmsn7t5P0keuUB
 9zuCmE7EpWri0UQMguf2DAEx2nUVd/80FIjp0/H/tsAvH1A+Yk04k/em3rIEtAeuQev3
 aTXoirjF6UYCMgc1F7c37gnlIyuOG5NDRj0KiDK+yrLRmS5HMkY1iITmp6lKtMnE2U7+
 m0ME3FWLWYHr/0Hb+25tyYfTTnEoewiDLl15cl1ZT8Z+dDQaqpF8PuRlxkTKiYQc0JJz
 t0Ag==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=IJUWrVjjnEoitYcEVtqMhv57l/pB2CJp9sM92nBC9e8=;
 b=VAYRLAEUvFXrHBq83pgC9Ji/azW7acAflMc8aMse3LgUmJfJ3MDQG0DriorViACUFs
 i8qTQo0MmcsIGIRT6mTMIVh6o3sa3p0JccC1iu98o3VJJ6VE3Ir3HemsSqv/fxzbK98q
 icgDl4nfMmId0AxA3QNSI72oEqfyND+OB/kDk5NvKmwjDklLa+gGcd98H4H2khpFHblP
 5VmHBFLzUj/K7ltbhh7tg9mAayMuG07iKprZTKN+S+3M/4m+eDS5xt/QleaS8SMHo06E
 B0TtoGhAYEwpa2uPiJx1e44aH6lhtkg6zTobjdqMoZxrrXvL5/hORi4OIhCAIJL3fNXv
 nvSQ==
X-Gm-Message-State: APjAAAXjuAa2Vkd/kw3joMHYePNfz0qnLJ2dhnwNqQzBv/cNtC3quHr7
 tSWyrEMwM5JSzirlBp8ZsHltYw==
X-Google-Smtp-Source: APXvYqyQeCpXEG/ezs+6I5m+rAS1o8ndxnifMmmkSy2L1yzN1Aelzi+Ujd/FEdKj/KHnq9kjATKvbg==
X-Received: by 2002:a5d:4a4e:: with SMTP id v14mr55468344wrs.200.1564751961173; 
 Fri, 02 Aug 2019 06:19:21 -0700 (PDT)
Received: from localhost (adsl-131.91.140.89.tellas.gr. [91.140.89.131])
 by smtp.gmail.com with ESMTPSA id x6sm79847066wrt.63.2019.08.02.06.19.20
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Fri, 02 Aug 2019 06:19:20 -0700 (PDT)
From: "Basil L. Contovounesios" <contovob@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#36886: 26.2; (global-eldoc-mode -1) should disable eldoc
 completely
References: <87h8719nzl.fsf@HIDDEN> <83imrggjmo.fsf@HIDDEN>
 <8736ijap0e.fsf@HIDDEN> <87d0hn23mm.fsf@HIDDEN>
 <83mugrg4kv.fsf@HIDDEN>
Date: Fri, 02 Aug 2019 16:19:13 +0300
In-Reply-To: <83mugrg4kv.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 02 Aug
 2019 15:00:16 +0300")
Message-ID: <87k1bvzovi.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36886
Cc: sanelz@HIDDEN, 36886 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: "Basil L. Contovounesios" <contovob@HIDDEN>
>> Cc: Eli Zaretskii <eliz@HIDDEN>,  36886 <at> debbugs.gnu.org
>> Date: Fri, 02 Aug 2019 14:44:33 +0300
>> 
>> The reason it ends up being called in your example is that M-:
>> explicitly and unconditionally enables eldoc-mode in the minibuffer.
>> 
>> Dmitry suggested making this behaviour conditional as a workaround, but
>> ultimately it would probably be best to try fixing bug#27202 without
>> messing with eldoc-mode in read--expression.
>
> I agree.  Any suggestions?

Not off the top of my head, as I'm not familiar with eldoc-mode or
bug#27202, but I can try to take a look in the coming days if no-one
does so first.

-- 
Basil




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36886; Package emacs. Full text available.

Message received at 36886 <at> debbugs.gnu.org:


Received: (at 36886) by debbugs.gnu.org; 2 Aug 2019 12:51:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 02 08:51:16 2019
Received: from localhost ([127.0.0.1]:56047 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1htX1g-00014f-Cp
	for submit <at> debbugs.gnu.org; Fri, 02 Aug 2019 08:51:16 -0400
Received: from mail-wr1-f53.google.com ([209.85.221.53]:43390)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sanelz@HIDDEN>) id 1htX1e-00014S-QI
 for 36886 <at> debbugs.gnu.org; Fri, 02 Aug 2019 08:51:15 -0400
Received: by mail-wr1-f53.google.com with SMTP id p13so2507493wru.10
 for <36886 <at> debbugs.gnu.org>; Fri, 02 Aug 2019 05:51:14 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:in-reply-to:references:user-agent:date
 :message-id:mime-version;
 bh=pVjtOWHmhIzau5xtuW3MTp1YJvEQAc4KeTNoz9rWOis=;
 b=oeBDTgIAbQUh74IkrAsoW8fSg3abNPP6Sn9re2PcATnlsWQLPuIgITUPYcPjFw5gxy
 FEDWVtpbVsaiMzRL0astsg2M6IpQH5zzfHawojtYuGuMWWIFWmhUG4u2ehOLRMeWoV3j
 ls3NefsE+G6aGp3Qhu0YrWehqLuIgbxZV0RxS4ltH//h7zT03WKg8zS6YTz8fnsof6Oz
 YdiCY7rN0OdlyjrfHk8lLdToNH9dGn8ctUGZEWbdHusVDp00DSzI41n9FmUo0mpE73Zw
 dF5/rFux5D99KL/nweB9EXhaDO2XRVRGXFQeUdjK3f8ZUeEjcLLakn1ogKA4OY00EM6t
 yjnw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:in-reply-to:references
 :user-agent:date:message-id:mime-version;
 bh=pVjtOWHmhIzau5xtuW3MTp1YJvEQAc4KeTNoz9rWOis=;
 b=QRtK5pYjqZeyNGlC/1AuayQKBfOQV4ZkC2iXXtOuoGkWqPux3x5xYeHLtvN/SArx2o
 4qfD8OQnI3PIMfn4lP3Epfm+dywZNOvjLTc6N7ey6pvcrXFp5djA0gq++AfZtkhZGR4N
 gwILaR/mqLD85bNCKF++FkicASVxFtxb18c5GJ+DSOYrNb4WVr0TodlyUao9Bl6XgceR
 mQsNK/CgN08lovA+/QYcd6teDhB3QicKaqBsy8mSpM1cCafYw3qGw0YoLbN5QOlP//r/
 ddF3C37D/n9bkamFPY8xiiVPrSgLSOTA7U+5lpBGSvUhO8d7Y5uF8cmzybiB3y8ES+xm
 6Ttg==
X-Gm-Message-State: APjAAAXIP0pUCniVmEFAfFN/KfaUVgXDKuI78WZEcT70suu2TC6hy/7B
 D1OooeBcRbNXycmDb2sNs9VXrnOsM14=
X-Google-Smtp-Source: APXvYqylPjbPP/soX+i9hO+3sfW5/bJOkgkKoXqYC+FB/aSwSBjuw0Z5p/Me88gtk7pZHsKE3EGl6Q==
X-Received: by 2002:a5d:514f:: with SMTP id u15mr85440wrt.183.1564750268827;
 Fri, 02 Aug 2019 05:51:08 -0700 (PDT)
Received: from localhost ([77.238.202.32])
 by smtp.gmail.com with ESMTPSA id a84sm98429996wmf.29.2019.08.02.05.51.07
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Fri, 02 Aug 2019 05:51:07 -0700 (PDT)
From: Sanel Zukan <sanelz@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#36886: 26.2;
 (global-eldoc-mode -1) should disable eldoc completely
In-Reply-To: <83tvazg51s.fsf@HIDDEN>
References: <87h8719nzl.fsf@HIDDEN> <83imrggjmo.fsf@HIDDEN>
 <8736ijap0e.fsf@HIDDEN> <83tvazg51s.fsf@HIDDEN>
User-Agent: Notmuch/0.28.2 (https://notmuchmail.org)
Date: Fri, 02 Aug 2019 14:51:04 +0200
Message-ID: <87pnln91dz.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36886
Cc: 36886 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:
>> From: Sanel Zukan <sanelz@HIDDEN>
>> Cc: 36886 <at> debbugs.gnu.org
>> Date: Fri, 02 Aug 2019 11:35:29 +0200
>> 
>> 1. $ emacs -Q
>> 2. M-x (global-eldoc-mode -1)
>> ;; by not it should be disabled in mode-line, but if you do this:
>> 3. M-: (fboundp '    <-- after entering apostrophe, eldoc will show
>> 'fboundp' protoype in mode-line.
>
> So this only happens in M-:.  That wasn't evident from your original
> report.  global-eldoc-mode generally shows the signatures when point
> is inside any defun or other def* forms, not only in the minibuffer.

Hm... eldoc-message-function is part of eldoc package and I was hoping
that, by completely disabling eldoc-mode, it will revert whatever is
enabled when mode is initialized from that package. I guess different
views from user and developer points.

But I'm happy we are on the same page regarding this ticket.

> Thanks.

Thanks!
Sanel




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36886; Package emacs. Full text available.

Message received at 36886 <at> debbugs.gnu.org:


Received: (at 36886) by debbugs.gnu.org; 2 Aug 2019 12:37:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 02 08:37:05 2019
Received: from localhost ([127.0.0.1]:56016 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1htWnw-00070t-3Q
	for submit <at> debbugs.gnu.org; Fri, 02 Aug 2019 08:37:04 -0400
Received: from mail-wm1-f41.google.com ([209.85.128.41]:51776)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sanelz@HIDDEN>) id 1htWnt-000704-A6
 for 36886 <at> debbugs.gnu.org; Fri, 02 Aug 2019 08:37:02 -0400
Received: by mail-wm1-f41.google.com with SMTP id 207so67828034wma.1
 for <36886 <at> debbugs.gnu.org>; Fri, 02 Aug 2019 05:37:01 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:in-reply-to:references:user-agent:date
 :message-id:mime-version;
 bh=21ys76v8B3Dlxsurh5KaQR2f3swcjPwYXoNIPj4g1D8=;
 b=cBUrABWpcg6TcREr4c6MO6BR58I+TFrjfF57OoIBHiE4orpc2eMr2qQt0kX+1lcmOt
 Kq01H3+VUeICXOGQm92fSpaQqhTRfE6kxzP/VH5Q/tUw8uCTgDd0vcbmZHApqLr5prm0
 OCZ0EB5LM9Kv65q/oGjdPaFM/JadKN0BfZNeeNjVM6HQ9oZ0wlmnLCh0LlA7fOe27dAl
 56UMg7OPSOpmoJeULQJQ7AScfaAfqem9ucrDxU5krWqqwVzp3gcK+INSwgmWfqZgKQnW
 +V0EyjWaWELvQSe4waQVHTcesIeTxZ+TI8GAmjkNX27wBtKHxCu9hz7poP1dh5LqqFJM
 toMg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:in-reply-to:references
 :user-agent:date:message-id:mime-version;
 bh=21ys76v8B3Dlxsurh5KaQR2f3swcjPwYXoNIPj4g1D8=;
 b=kRaeufEkdlMt5RCWX29A2lwbErFkZjeQ54t8Y31dKUCPealm+nCKNfwkopf18sXlJ8
 upov/Z2ay0Jsn4DEwU6mNjgXbK0y8rBzdL4WpZ83JS9P62E2QAGjNSuDR/ZYwbWllwUS
 ZQLq5p5w6Zi0srUHKUjwb9ALqJEmvMamx4Z7wf+YMxi1NAF8FNPPWoIVFk1l+rcTCOFq
 q4lvuy025U7snrjCrvEq4mkq4gAFce4Zg2B1U8xFJevY5GHSjomyHLaiTQHkLhWuvZK9
 NGdLADuyDk4rWVYI9bS6F89+mzXSZeeFjT+MEtiM31A+Aiu9kpcT2XVTB7/r38TtTCEf
 hr8Q==
X-Gm-Message-State: APjAAAUKQ9+Du9zvVih3RznHOu+M5oifRiZ9fcU8SaR8Zf40wN2STzCT
 X8fouDFvSJw007i+WNLtXGk=
X-Google-Smtp-Source: APXvYqz89cJ2AU/O+c8gYlF/I49u+Tj95pzba508tfnGqUo9l4Jq+K4gvNgYxPeHo+BN1cP4XxR80Q==
X-Received: by 2002:a1c:ab06:: with SMTP id u6mr4310839wme.125.1564749415510; 
 Fri, 02 Aug 2019 05:36:55 -0700 (PDT)
Received: from localhost ([77.238.202.32])
 by smtp.gmail.com with ESMTPSA id 2sm107544093wrn.29.2019.08.02.05.36.54
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Fri, 02 Aug 2019 05:36:54 -0700 (PDT)
From: Sanel Zukan <sanelz@HIDDEN>
To: "Basil L. Contovounesios" <contovob@HIDDEN>
Subject: Re: bug#36886: 26.2;
 (global-eldoc-mode -1) should disable eldoc completely
In-Reply-To: <87d0hn23mm.fsf@HIDDEN>
References: <87h8719nzl.fsf@HIDDEN> <83imrggjmo.fsf@HIDDEN>
 <8736ijap0e.fsf@HIDDEN> <87d0hn23mm.fsf@HIDDEN>
User-Agent: Notmuch/0.28.2 (https://notmuchmail.org)
Date: Fri, 02 Aug 2019 14:36:51 +0200
Message-ID: <87sgqj921o.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36886
Cc: Eli Zaretskii <eliz@HIDDEN>, 36886 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Thanks for detail explanation Basil!

"Basil L. Contovounesios" <contovob@HIDDEN> writes:
> Sanel Zukan <sanelz@HIDDEN> writes:
>
>> Here is how to reproduce it with emacs -Q:
>>
>> 1. $ emacs -Q
>> 2. M-x (global-eldoc-mode -1)
>> ;; by not it should be disabled in mode-line, but if you do this:
>> 3. M-: (fboundp '    <-- after entering apostrophe, eldoc will show
>> 'fboundp' protoype in mode-line.
>>
>> Also after (global-eldoc-mode -1), I don't see anwyhere in eldoc.el code
>> that eldoc-message-function is changed.
>
> AFAICT eldoc-message-function doesn't need to be changed because it
> isn't called when eldoc-mode is disabled.
>
> The reason it ends up being called in your example is that M-:
> explicitly and unconditionally enables eldoc-mode in the minibuffer.
>
> Dmitry suggested making this behaviour conditional as a workaround, but
> ultimately it would probably be best to try fixing bug#27202 without
> messing with eldoc-mode in read--expression.
>
> Thanks,
>
> -- 
> Basil




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36886; Package emacs. Full text available.

Message received at 36886 <at> debbugs.gnu.org:


Received: (at 36886) by debbugs.gnu.org; 2 Aug 2019 12:00:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 02 08:00:31 2019
Received: from localhost ([127.0.0.1]:55935 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1htWEY-0001nu-S3
	for submit <at> debbugs.gnu.org; Fri, 02 Aug 2019 08:00:31 -0400
Received: from eggs.gnu.org ([209.51.188.92]:47876)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1htWEW-0001ng-Mo
 for 36886 <at> debbugs.gnu.org; Fri, 02 Aug 2019 08:00:29 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:36862)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1htWER-0003U3-E1; Fri, 02 Aug 2019 08:00:23 -0400
Received: from [176.228.60.248] (port=1981 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1htWEP-0000S5-2y; Fri, 02 Aug 2019 08:00:21 -0400
Date: Fri, 02 Aug 2019 15:00:16 +0300
Message-Id: <83mugrg4kv.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: "Basil L. Contovounesios" <contovob@HIDDEN>
In-reply-to: <87d0hn23mm.fsf@HIDDEN> (contovob@HIDDEN)
Subject: Re: bug#36886: 26.2; (global-eldoc-mode -1) should disable eldoc
 completely
References: <87h8719nzl.fsf@HIDDEN> <83imrggjmo.fsf@HIDDEN>
 <8736ijap0e.fsf@HIDDEN> <87d0hn23mm.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36886
Cc: sanelz@HIDDEN, 36886 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: "Basil L. Contovounesios" <contovob@HIDDEN>
> Cc: Eli Zaretskii <eliz@HIDDEN>,  36886 <at> debbugs.gnu.org
> Date: Fri, 02 Aug 2019 14:44:33 +0300
> 
> The reason it ends up being called in your example is that M-:
> explicitly and unconditionally enables eldoc-mode in the minibuffer.
> 
> Dmitry suggested making this behaviour conditional as a workaround, but
> ultimately it would probably be best to try fixing bug#27202 without
> messing with eldoc-mode in read--expression.

I agree.  Any suggestions?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36886; Package emacs. Full text available.

Message received at 36886 <at> debbugs.gnu.org:


Received: (at 36886) by debbugs.gnu.org; 2 Aug 2019 11:50:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 02 07:50:20 2019
Received: from localhost ([127.0.0.1]:55923 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1htW4i-0001YH-8M
	for submit <at> debbugs.gnu.org; Fri, 02 Aug 2019 07:50:20 -0400
Received: from eggs.gnu.org ([209.51.188.92]:44872)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1htW4g-0001Y5-Ll
 for 36886 <at> debbugs.gnu.org; Fri, 02 Aug 2019 07:50:19 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:36018)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1htW4b-00044T-Ex; Fri, 02 Aug 2019 07:50:13 -0400
Received: from [176.228.60.248] (port=1353 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1htW4a-00047o-Tb; Fri, 02 Aug 2019 07:50:13 -0400
Date: Fri, 02 Aug 2019 14:50:07 +0300
Message-Id: <83tvazg51s.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Sanel Zukan <sanelz@HIDDEN>
In-reply-to: <8736ijap0e.fsf@HIDDEN> (message from Sanel Zukan on Fri, 02
 Aug 2019 11:35:29 +0200)
Subject: Re: bug#36886: 26.2;
 (global-eldoc-mode -1) should disable eldoc completely
References: <87h8719nzl.fsf@HIDDEN> <83imrggjmo.fsf@HIDDEN>
 <8736ijap0e.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36886
Cc: 36886 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Sanel Zukan <sanelz@HIDDEN>
> Cc: 36886 <at> debbugs.gnu.org
> Date: Fri, 02 Aug 2019 11:35:29 +0200
> 
> 1. $ emacs -Q
> 2. M-x (global-eldoc-mode -1)
> ;; by not it should be disabled in mode-line, but if you do this:
> 3. M-: (fboundp '    <-- after entering apostrophe, eldoc will show
> 'fboundp' protoype in mode-line.

So this only happens in M-:.  That wasn't evident from your original
report.  global-eldoc-mode generally shows the signatures when point
is inside any defun or other def* forms, not only in the minibuffer.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36886; Package emacs. Full text available.

Message received at 36886 <at> debbugs.gnu.org:


Received: (at 36886) by debbugs.gnu.org; 2 Aug 2019 11:44:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 02 07:44:51 2019
Received: from localhost ([127.0.0.1]:55919 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1htVzP-0007jn-JG
	for submit <at> debbugs.gnu.org; Fri, 02 Aug 2019 07:44:51 -0400
Received: from mail-wr1-f42.google.com ([209.85.221.42]:40918)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <contovob@HIDDEN>) id 1htVzL-0007jX-2f
 for 36886 <at> debbugs.gnu.org; Fri, 02 Aug 2019 07:44:47 -0400
Received: by mail-wr1-f42.google.com with SMTP id r1so76815730wrl.7
 for <36886 <at> debbugs.gnu.org>; Fri, 02 Aug 2019 04:44:46 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=tcd-ie.20150623.gappssmtp.com; s=20150623;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=B+Ed/UTUbT60SojabNDvMU8sTFZdjctJfNn5cFmXzRE=;
 b=YeasxHJ1ZD/6LOVFVzlZvIxFGGRX42XgbY9iRwW5/Q5nTA9I0/tYpoHIskXWUQQAeG
 Q+ynG0WTKx43P7ByO4Bl0ZTfwbS5ndODx6na9DqD/CrGJFLT5z7I46ZGFkVYLRx46d2s
 fdi6v4pEZ4t2L2uYjq0jPPxVfJ5aLTz8OY7MQXWeMW7wNHnpm7ukLzKodzgTGcf1lmzw
 R8HeoXHhh9pUrfpUA09yYOaDovlx3F9vlxisesKuz/NriMTsO1mMIDkYNFBlRB8B0Tm4
 PIbPqymlzDS5qHeTSV5hUo4qSL3v6lkfeFQrxrzyfqpQkJf2v9J/VRN64SC2rwOXLg8B
 Xb+A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=B+Ed/UTUbT60SojabNDvMU8sTFZdjctJfNn5cFmXzRE=;
 b=Ws3Vai53Ijjby0Vwa0BNX5hL/tvYd2PsfeV6/9VWjA1s2Mys/1XEXvSyrU4Xft4UGR
 Iue8emnvDqHKPtzspC8czSAc+wXMVFuNDJ2llYuc50DdeHjCNF5pMS40s/BFALpzHXpI
 24/lvytnQXPa6uLuGiDWdUxARvcmN2vpBGD2KoZmAJM3Gg/TVT8zpPU9eqDzoVfF0Bvq
 bUmlwtSI4zG5JgES3tNHCGttefOI+Pxl7RSpG2SaCD9mT3DQFuT9qtAUvgicA0DM2GLX
 ojlYcPDHkFjGyCMQKpovLtPVHxbGN8+QWMJ5dHTehSBmW8raeb1YR5tj7GFyBjwvxCkH
 eVSg==
X-Gm-Message-State: APjAAAVFxacipj+POY4C1j1FL1VFA3nTFULwLa8Qc+A6cut7aJYf1ozy
 q+MIJktsVZ/lzxPCHR99Hd2Nag==
X-Google-Smtp-Source: APXvYqxuODm4GE8/MHDA9cwxmfB/RHyWBVmMplxm2qp7wFz/L8ZdrgACtobj24jx0HeALDFBVPem7Q==
X-Received: by 2002:adf:b612:: with SMTP id f18mr137573912wre.97.1564746281143; 
 Fri, 02 Aug 2019 04:44:41 -0700 (PDT)
Received: from localhost (adsl-131.91.140.89.tellas.gr. [91.140.89.131])
 by smtp.gmail.com with ESMTPSA id p10sm2423778wmk.2.2019.08.02.04.44.39
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Fri, 02 Aug 2019 04:44:40 -0700 (PDT)
From: "Basil L. Contovounesios" <contovob@HIDDEN>
To: Sanel Zukan <sanelz@HIDDEN>
Subject: Re: bug#36886: 26.2; (global-eldoc-mode -1) should disable eldoc
 completely
References: <87h8719nzl.fsf@HIDDEN> <83imrggjmo.fsf@HIDDEN>
 <8736ijap0e.fsf@HIDDEN>
Date: Fri, 02 Aug 2019 14:44:33 +0300
In-Reply-To: <8736ijap0e.fsf@HIDDEN> (Sanel Zukan's message of "Fri, 02
 Aug 2019 11:35:29 +0200")
Message-ID: <87d0hn23mm.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36886
Cc: Eli Zaretskii <eliz@HIDDEN>, 36886 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Sanel Zukan <sanelz@HIDDEN> writes:

> Here is how to reproduce it with emacs -Q:
>
> 1. $ emacs -Q
> 2. M-x (global-eldoc-mode -1)
> ;; by not it should be disabled in mode-line, but if you do this:
> 3. M-: (fboundp '    <-- after entering apostrophe, eldoc will show
> 'fboundp' protoype in mode-line.
>
> Also after (global-eldoc-mode -1), I don't see anwyhere in eldoc.el code
> that eldoc-message-function is changed.

AFAICT eldoc-message-function doesn't need to be changed because it
isn't called when eldoc-mode is disabled.

The reason it ends up being called in your example is that M-:
explicitly and unconditionally enables eldoc-mode in the minibuffer.

Dmitry suggested making this behaviour conditional as a workaround, but
ultimately it would probably be best to try fixing bug#27202 without
messing with eldoc-mode in read--expression.

Thanks,

-- 
Basil




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36886; Package emacs. Full text available.

Message received at 36886 <at> debbugs.gnu.org:


Received: (at 36886) by debbugs.gnu.org; 2 Aug 2019 09:35:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 02 05:35:42 2019
Received: from localhost ([127.0.0.1]:55799 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1htTyQ-0000IO-7b
	for submit <at> debbugs.gnu.org; Fri, 02 Aug 2019 05:35:42 -0400
Received: from mail-wr1-f42.google.com ([209.85.221.42]:35848)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sanelz@HIDDEN>) id 1htTyO-0000I9-46
 for 36886 <at> debbugs.gnu.org; Fri, 02 Aug 2019 05:35:40 -0400
Received: by mail-wr1-f42.google.com with SMTP id n4so76544627wrs.3
 for <36886 <at> debbugs.gnu.org>; Fri, 02 Aug 2019 02:35:40 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:in-reply-to:references:user-agent:date
 :message-id:mime-version;
 bh=NsEoMUvdzA3Sf36imyMWZvWvHqj4LVWljh1Hd17eYSw=;
 b=RoBpVg52wImKI5mzgs/OP/e98fXOJNrhc5srSV6O8WdCi8euewMYvawkaC8DxvIMEO
 GXU61c26oRHj4lteDZJCrM8Gzvj18N4qWXXKNLcy0hiXOp5lakpbNet3fkxaR1WGR/sU
 qvRSL2WhdUTq/KO4BrrCPXBfczMDRzZjHOHIyTzcW/4gXdcUR8Au0tn8chMG1lQyTuf5
 xkXShPeCab/wsl0pYJczKZEm0UZ3qezVHKUVmtvDO+aRNPPY2rSu379RxAyQL4oYxOMF
 f2GXZAZpRESRJU497v+pDjBolI/sV4ZC6lV19edMKgV6fY5D11lmCuaZ43cUn74nn6gb
 /38Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:in-reply-to:references
 :user-agent:date:message-id:mime-version;
 bh=NsEoMUvdzA3Sf36imyMWZvWvHqj4LVWljh1Hd17eYSw=;
 b=orHyGA66j3/sDHY6Ak+QTN6AEnR5iAlQGxoic1ZK4j4muAPj9qYv7GIIJYQMz8LbtW
 XOjCrCI35tmN83Q/BoUKUDVdbxHs2VGhlCdvT09RPIrQPKZxZM1DHTUVJUQA6HCiNrI0
 oQqGeiLnV+a8kg7iq3P7FQSBxqDVzD8vML4RBEAA5IEjRvSAJOJcStAZx12oXATBPTc3
 3Fm4Xps7QiriW6hoCUgyQt5x2ceWRx26/PxXndttpRvukAGMPRO43qeKUWX0Tlubycai
 ETBcdcBtq0g6DwQkAJhWeihmWQCOfejbbTkDhkuXMyAwcmPFQ2oJIGTzhrJtzMPWeS3F
 32BQ==
X-Gm-Message-State: APjAAAWF+GgYrc6k3ATPqC97jTF2FZnDjBFoHAuy3SiK5+Aiote2NZHE
 cTLjGWUs+25DwEw3aIrL6j8=
X-Google-Smtp-Source: APXvYqyVWKAaF+oGo9JJ+FXextHty4rxGHGBq5nJH42GRNw+zSQX8CHmqSlKa8mkMvn2e2GKBRz1xg==
X-Received: by 2002:a5d:540e:: with SMTP id g14mr38554380wrv.346.1564738534172; 
 Fri, 02 Aug 2019 02:35:34 -0700 (PDT)
Received: from localhost ([77.238.202.32])
 by smtp.gmail.com with ESMTPSA id u2sm2216899wmc.3.2019.08.02.02.35.32
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Fri, 02 Aug 2019 02:35:33 -0700 (PDT)
From: Sanel Zukan <sanelz@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#36886: 26.2;
 (global-eldoc-mode -1) should disable eldoc completely
In-Reply-To: <83imrggjmo.fsf@HIDDEN>
References: <87h8719nzl.fsf@HIDDEN> <83imrggjmo.fsf@HIDDEN>
User-Agent: Notmuch/0.28.2 (https://notmuchmail.org)
Date: Fri, 02 Aug 2019 11:35:29 +0200
Message-ID: <8736ijap0e.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36886
Cc: 36886 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Here is how to reproduce it with emacs -Q:

1. $ emacs -Q
2. M-x (global-eldoc-mode -1)
;; by not it should be disabled in mode-line, but if you do this:
3. M-: (fboundp '    <-- after entering apostrophe, eldoc will show
'fboundp' protoype in mode-line.

Also after (global-eldoc-mode -1), I don't see anwyhere in eldoc.el code
that eldoc-message-function is changed.

Emacs version: GNU Emacs 26.2 (build 1, x86_64-slackware-linux-gnu, GTK+
Version 3.18.9) of 2019-07-17

Best,
Sanel


Eli Zaretskii <eliz@HIDDEN> writes:
>> From: Sanel Zukan <sanelz@HIDDEN>
>> Date: Thu, 01 Aug 2019 12:30:38 +0200
>> 
>> When Emacs is run with (global-eldoc-mode -1), eldoc is not completely
>> disabled because it will show function arguments inside mode-line.
>
> I don't think I can reproduce this here.  Can you show a complete
> recipe, starting from "emacs -Q"?
>
> Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36886; Package emacs. Full text available.

Message received at 36886 <at> debbugs.gnu.org:


Received: (at 36886) by debbugs.gnu.org; 2 Aug 2019 06:35:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 02 02:35:28 2019
Received: from localhost ([127.0.0.1]:55708 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1htRA0-0004Bu-AL
	for submit <at> debbugs.gnu.org; Fri, 02 Aug 2019 02:35:28 -0400
Received: from eggs.gnu.org ([209.51.188.92]:36123)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1htR9w-0004Bd-Om
 for 36886 <at> debbugs.gnu.org; Fri, 02 Aug 2019 02:35:25 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:50807)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1htR9r-0005jd-Ix; Fri, 02 Aug 2019 02:35:19 -0400
Received: from [176.228.60.248] (port=1688 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1htR9p-0006Nj-PF; Fri, 02 Aug 2019 02:35:19 -0400
Date: Fri, 02 Aug 2019 09:35:11 +0300
Message-Id: <83imrggjmo.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Sanel Zukan <sanelz@HIDDEN>
In-reply-to: <87h8719nzl.fsf@HIDDEN> (message from Sanel Zukan on Thu, 01
 Aug 2019 12:30:38 +0200)
Subject: Re: bug#36886: 26.2;
 (global-eldoc-mode -1) should disable eldoc completely
References: <87h8719nzl.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36886
Cc: 36886 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Sanel Zukan <sanelz@HIDDEN>
> Date: Thu, 01 Aug 2019 12:30:38 +0200
> 
> When Emacs is run with (global-eldoc-mode -1), eldoc is not completely
> disabled because it will show function arguments inside mode-line.

I don't think I can reproduce this here.  Can you show a complete
recipe, starting from "emacs -Q"?

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36886; Package emacs. Full text available.

Message received at 36886 <at> debbugs.gnu.org:


Received: (at 36886) by debbugs.gnu.org; 1 Aug 2019 13:38:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 01 09:38:40 2019
Received: from localhost ([127.0.0.1]:53722 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1htBHz-0003FX-QF
	for submit <at> debbugs.gnu.org; Thu, 01 Aug 2019 09:38:40 -0400
Received: from mail-wr1-f48.google.com ([209.85.221.48]:46152)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1htBHx-0003FF-CN
 for 36886 <at> debbugs.gnu.org; Thu, 01 Aug 2019 09:38:37 -0400
Received: by mail-wr1-f48.google.com with SMTP id z1so73616548wru.13
 for <36886 <at> debbugs.gnu.org>; Thu, 01 Aug 2019 06:38:37 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=sgdppxMpzhc+UvzCrM5OmGabtL+A4nOchWY0YMkDwUk=;
 b=k+kVLE95thtYnt4iNgOvTYB7SRmz5D+JH1acXgix5y85bcbS9gpbcEKSBRuwFDKgit
 5h/GFX7xrvvX3+PnysenMSaWBLnXXWGT5CzTJFcSp00rqAAyfLFlSXUk1m4fZwgK49ew
 d5P89tCjKzPHBgUCFDQUzzer/3lz8oIK4yHTFTlpCjwCrGdmVXwaxiaPNnXx5IJxKmbO
 g/V98pTlDSpLLeQd56XMrktZFjtSOdkH0QIVpPMzEAvyn+HVJ8dUjfzVv0tlUS78NThO
 udDJnVQh2eYHLuaKS6o8rclIfmC9tFXGvqml4fRbgcBZxrMwA753QUNUgoBUmsMNp1TV
 vgkw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=sgdppxMpzhc+UvzCrM5OmGabtL+A4nOchWY0YMkDwUk=;
 b=trM1KSwQBiRDelaVCTpE/QE0kUVeI5vdoEHRbVtJr08gEOJWH6+I+1OmXY13C2gU1x
 b+zG65nMaRiohyNw03zyTZCWeIt55AMiyWB8FzNXOWhGBOQ0uYfuW1z9N9hZV6z8KWFu
 NmrjKkzjQ/UqqRRCzt++UXU6FEVPHB4xJ4KZ3hnxH4frYxbz8fF1sCfP0u3o8PsqXZ+D
 9a3D3clGla9tg4758z6FnNrb/Owr8gchH06/0uVgzqIuOU150g2mZpZq++CfbmgGcHA8
 zpYKrahTA3pdhGa4905KWqX2xtUWloUgx1Xy+iSqWkl1BnlnIUniWMTLj9vOg6CpvUie
 Dr+w==
X-Gm-Message-State: APjAAAV32qr0OuwC9PoIvg6tmBm3nXuk9mVMH3vKHmZWlzZu9yrBWKg3
 2+wWykzSyv9lEuVG3R5S6zrNDqMciz4=
X-Google-Smtp-Source: APXvYqxiT6VIGRYdwck8UPa0hBf0o1V5aC+xcgSjH6wVK6/kBCz7A0eBzv23T6ZoFKLZpG9VIUrLOQ==
X-Received: by 2002:adf:eb4e:: with SMTP id
 u14mr140737250wrn.168.1564666711177; 
 Thu, 01 Aug 2019 06:38:31 -0700 (PDT)
Received: from [192.168.0.195] ([109.110.245.170])
 by smtp.googlemail.com with ESMTPSA id s12sm67127819wmh.34.2019.08.01.06.38.29
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Thu, 01 Aug 2019 06:38:30 -0700 (PDT)
Subject: Re: bug#36886: 26.2; (global-eldoc-mode -1) should disable eldoc
 completely
To: "Basil L. Contovounesios" <contovob@HIDDEN>, Sanel Zukan <sanelz@HIDDEN>
References: <87h8719nzl.fsf@HIDDEN> <87wofx3yls.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <d3ae521c-185f-455b-30cd-524167685ba2@HIDDEN>
Date: Thu, 1 Aug 2019 16:38:28 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.8.0
MIME-Version: 1.0
In-Reply-To: <87wofx3yls.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 36886
Cc: 36886 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)

On 01.08.2019 14:37, Basil L. Contovounesios wrote:
> Sanel Zukan <sanelz@HIDDEN> writes:
> 
>> When Emacs is run with (global-eldoc-mode -1), eldoc is not completely
>> disabled because it will show function arguments inside mode-line.
>>
>> I believe intention behind (global-eldoc-mode -1) should be that all
>> eldoc facility gets disabled. Right now, the only way to stop poping
>> stuff in mode-line is this:
>>
>>   (setq-default eldoc-message-function 'ignore)
> 
> CCing Dmitry, who explicitly enabled eldoc-mode in read--expression as
> part of bug#27202: https://debbugs.gnu.org/27202.
> 
> My gut says that bug should be fixable within eldoc.el, without having
> to tweak read--expression, but I'm not familiar with eldoc.

I'm not sure what's the best way. But this should help:

diff --git a/lisp/simple.el b/lisp/simple.el
index 0bc39f08c0..4eec9e732d 100644
--- a/lisp/simple.el
+++ b/lisp/simple.el
@@ -1583,7 +1583,8 @@ read--expression
            ;; FIXME: call emacs-lisp-mode?
            (add-function :before-until (local 
'eldoc-documentation-function)
                          #'elisp-eldoc-documentation-function)
-          (eldoc-mode 1)
+          (when global-eldoc-mode
+            (eldoc-mode 1))
            (add-hook 'completion-at-point-functions
                      #'elisp-completion-at-point nil t)
            (run-hooks 'eval-expression-minibuffer-setup-hook))




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36886; Package emacs. Full text available.

Message received at 36886 <at> debbugs.gnu.org:


Received: (at 36886) by debbugs.gnu.org; 1 Aug 2019 12:29:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 01 08:29:52 2019
Received: from localhost ([127.0.0.1]:53630 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1htADQ-0001Tn-CP
	for submit <at> debbugs.gnu.org; Thu, 01 Aug 2019 08:29:52 -0400
Received: from mail-wr1-f43.google.com ([209.85.221.43]:37886)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sanelz@HIDDEN>) id 1htADO-0001Tb-HT
 for 36886 <at> debbugs.gnu.org; Thu, 01 Aug 2019 08:29:50 -0400
Received: by mail-wr1-f43.google.com with SMTP id n9so48311694wrr.4
 for <36886 <at> debbugs.gnu.org>; Thu, 01 Aug 2019 05:29:50 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:in-reply-to:references:user-agent:date
 :message-id:mime-version;
 bh=qPTUlCNT1Pdnqjf6dAs2U2/E7C2QX2jqLWZoUpA2PmY=;
 b=aowyWUVRUAYQQBAzZtf/kPnyfayHKRxCVvakD6dDkVI/OEXi5e7x1H+ytPbYzjxwUx
 psClwGzW2I0Gsyr5zu+mcthCeWWHXRJSAiBD9Q/rAv8UMxJYGqnkwso0fI7HKhAR0RLz
 wEUfoDxlZaoBigK7ACySqXrVWcIfNNJDxAFxmJZjJMkZO7f7PX3jEWOwiR9sMmooVlkj
 I0z1U0uB3OxU3kC4gp4LDlr5/4IU1hBUFLwLfBy2Y86o6b4ZwbJQymu+NAzde6Z0Mkmb
 r2aJe44Ls78Vo9FaorXsyh+BTzN/9XkzjOaM+BUvtJfj103eYNUzaXfGg5aHg7AG39pH
 T0RA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:in-reply-to:references
 :user-agent:date:message-id:mime-version;
 bh=qPTUlCNT1Pdnqjf6dAs2U2/E7C2QX2jqLWZoUpA2PmY=;
 b=nqSc56HUjp8IbNJ4AO8Wag8zWS8afX1uL2zzdkofd0edLtuV8m9YYuflpFL2CFeMG1
 qnhXR3MT0/H+DqyoIkTi9cbZbKcDKdia+a6yerzNJg4hJlr20dMmnK3MNbrGAVntQ84f
 rDAFFwANjFdT2N7kQSfwwP4fS6XGN83ir9XS/8Hsgj4z3bhSAuAr5j+L4RdK18Q+oKFQ
 Iz03FulTa+oxA8z7nV4bvep4F+HbpWA0uUXzekiraUDKVFmF6+Qy61GRvFegg3jTRDHM
 3q5luks/iQpDa0MN8En62o3Xs+272jDlkuaOCT+5a7vIZwefEpfjwJrAwPKC3+nxBuAA
 eCpA==
X-Gm-Message-State: APjAAAU6lFQ7GqaDTyumkNwceUeLDa27y3bmDTV46e0vnxuD+fyMxWek
 UfgsXkftv1MbsBq+JjT3VA0=
X-Google-Smtp-Source: APXvYqzhztA0c7v1aJwQe7xxTNB9fiIp0kR4Ro1C70QnJg7HyW0l7WUA51S1XLlQtV5K9rq/EEBuxQ==
X-Received: by 2002:adf:de08:: with SMTP id b8mr3490464wrm.282.1564662584791; 
 Thu, 01 Aug 2019 05:29:44 -0700 (PDT)
Received: from localhost ([77.238.202.32])
 by smtp.gmail.com with ESMTPSA id e6sm70503741wrw.23.2019.08.01.05.29.43
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Thu, 01 Aug 2019 05:29:43 -0700 (PDT)
From: Sanel Zukan <sanelz@HIDDEN>
To: "Basil L. Contovounesios" <contovob@HIDDEN>
Subject: Re: bug#36886: 26.2;
 (global-eldoc-mode -1) should disable eldoc completely
In-Reply-To: <87wofx3yls.fsf@HIDDEN>
References: <87h8719nzl.fsf@HIDDEN> <87wofx3yls.fsf@HIDDEN>
User-Agent: Notmuch/0.28.2 (https://notmuchmail.org)
Date: Thu, 01 Aug 2019 14:29:40 +0200
Message-ID: <87blx99ih7.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36886
Cc: 36886 <at> debbugs.gnu.org, Dmitry Gutov <dgutov@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Thanks!

Best,
Sanel

"Basil L. Contovounesios" <contovob@HIDDEN> writes:
> Sanel Zukan <sanelz@HIDDEN> writes:
>
>> When Emacs is run with (global-eldoc-mode -1), eldoc is not completely
>> disabled because it will show function arguments inside mode-line.
>>
>> I believe intention behind (global-eldoc-mode -1) should be that all
>> eldoc facility gets disabled. Right now, the only way to stop poping
>> stuff in mode-line is this:
>>
>>  (setq-default eldoc-message-function 'ignore)
>
> CCing Dmitry, who explicitly enabled eldoc-mode in read--expression as
> part of bug#27202: https://debbugs.gnu.org/27202.
>
> My gut says that bug should be fixable within eldoc.el, without having
> to tweak read--expression, but I'm not familiar with eldoc.
>
> Thanks,
>
> -- 
> Basil




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36886; Package emacs. Full text available.

Message received at 36886 <at> debbugs.gnu.org:


Received: (at 36886) by debbugs.gnu.org; 1 Aug 2019 11:38:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 01 07:38:07 2019
Received: from localhost ([127.0.0.1]:53594 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ht9PK-0000Ib-SX
	for submit <at> debbugs.gnu.org; Thu, 01 Aug 2019 07:38:07 -0400
Received: from mail-wr1-f53.google.com ([209.85.221.53]:37827)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <contovob@HIDDEN>) id 1ht9PJ-0000I8-C1
 for 36886 <at> debbugs.gnu.org; Thu, 01 Aug 2019 07:38:06 -0400
Received: by mail-wr1-f53.google.com with SMTP id n9so48136737wrr.4
 for <36886 <at> debbugs.gnu.org>; Thu, 01 Aug 2019 04:38:05 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=tcd-ie.20150623.gappssmtp.com; s=20150623;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=sAZmIRrEcz1mWRA850nrHGvFliVMkckHtAT4oqFu8JE=;
 b=l1NJ2XSDYSe4/OO72RzKr6aDjJHwtvghdFuVYP9n/nNhlJrnRF6MQjVwqAEkctIovT
 tmc9Oa1AlDPLipP9QZ/eNM45LWsBO/VPUdPfiMetDeC2b4b+i6m5kSB5rdvuOfokjByH
 GWhynZpfL/yYMlCUB9Y4Pbw7m0tgMsCZcmO1nzf1mW9Q1b/k6jtAtH+hM042QBOGJYSW
 Rp8Mgm6odLsqnLKMsnyNI9ZOLrf0bmwTvY7u1VnriUKJ4TzG3INQTnZJWRFyUbF3bz1O
 FKNWTWC9IZDokAeeIRnZFeEsLonBRbYK3spK7wtDj7RXZAKef8e9BnZBZLffFAas5Kju
 /1Gg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=sAZmIRrEcz1mWRA850nrHGvFliVMkckHtAT4oqFu8JE=;
 b=V6a0KyUH6Cp9lrxbQozAQHcSTkzJ0tfnPaqE/wo76cxs0SkTmbaoVa/fKNJ5jrFSqi
 5vF2tqSJhQSZn64ePwmKEDz1Xvpb784hqShTK6rVIui2z6hz1gjk/WazlLYemqeIqRTg
 tXptMr66P/96VxuPtzHi6JcWi1W8Fgw8Ln4v2jYllyqDDzHRcLq8asGoE7uBgqLsflnz
 WfPF6OFS9Wd3leurMHCsAhdcbO0ZIgS0ymK4D1LvoAU5YPxOV1Bx/PIDJWotIChjnx6r
 mO/DlJePTY/a+O/fBShtX9ix1+maG6RtRRej6XlOKWt+NS+o5FNrQsHqY1K+I//rJhRw
 lG4Q==
X-Gm-Message-State: APjAAAXNJOI7Z7ytbtmkPkyRTXsz6wETLihN4adNcTlxUHfgLShkkUCv
 kVoqV4jjCbcIiXVMxWbtOam4cA==
X-Google-Smtp-Source: APXvYqz291a9Y2bSrkwzgemaDwShdX08bii1RlonzIuc7k7dbxZgirsGIIj36ZL6/bU8AC+FIzhCCQ==
X-Received: by 2002:adf:f246:: with SMTP id b6mr19122646wrp.92.1564659479490; 
 Thu, 01 Aug 2019 04:37:59 -0700 (PDT)
Received: from localhost (adsl-131.91.140.89.tellas.gr. [91.140.89.131])
 by smtp.gmail.com with ESMTPSA id j33sm153362163wre.42.2019.08.01.04.37.58
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Thu, 01 Aug 2019 04:37:58 -0700 (PDT)
From: "Basil L. Contovounesios" <contovob@HIDDEN>
To: Sanel Zukan <sanelz@HIDDEN>
Subject: Re: bug#36886: 26.2; (global-eldoc-mode -1) should disable eldoc
 completely
References: <87h8719nzl.fsf@HIDDEN>
Date: Thu, 01 Aug 2019 14:37:51 +0300
In-Reply-To: <87h8719nzl.fsf@HIDDEN> (Sanel Zukan's message of "Thu, 01
 Aug 2019 12:30:38 +0200")
Message-ID: <87wofx3yls.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36886
Cc: 36886 <at> debbugs.gnu.org, Dmitry Gutov <dgutov@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Sanel Zukan <sanelz@HIDDEN> writes:

> When Emacs is run with (global-eldoc-mode -1), eldoc is not completely
> disabled because it will show function arguments inside mode-line.
>
> I believe intention behind (global-eldoc-mode -1) should be that all
> eldoc facility gets disabled. Right now, the only way to stop poping
> stuff in mode-line is this:
>
>  (setq-default eldoc-message-function 'ignore)

CCing Dmitry, who explicitly enabled eldoc-mode in read--expression as
part of bug#27202: https://debbugs.gnu.org/27202.

My gut says that bug should be fixable within eldoc.el, without having
to tweak read--expression, but I'm not familiar with eldoc.

Thanks,

-- 
Basil




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36886; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 1 Aug 2019 10:30:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 01 06:30:52 2019
Received: from localhost ([127.0.0.1]:53509 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ht8MG-0004s9-Dc
	for submit <at> debbugs.gnu.org; Thu, 01 Aug 2019 06:30:52 -0400
Received: from lists.gnu.org ([209.51.188.17]:45766)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sanelz@HIDDEN>) id 1ht8MD-0004rz-LX
 for submit <at> debbugs.gnu.org; Thu, 01 Aug 2019 06:30:50 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:49617)
 by lists.gnu.org with esmtp (Exim 4.86_2)
 (envelope-from <sanelz@HIDDEN>) id 1ht8MB-0003zx-3q
 for bug-gnu-emacs@HIDDEN; Thu, 01 Aug 2019 06:30:49 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <sanelz@HIDDEN>) id 1ht8M9-0006wh-GH
 for bug-gnu-emacs@HIDDEN; Thu, 01 Aug 2019 06:30:47 -0400
Received: from mail-wm1-x32e.google.com ([2a00:1450:4864:20::32e]:50749)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <sanelz@HIDDEN>) id 1ht8M9-0006w2-7a
 for bug-gnu-emacs@HIDDEN; Thu, 01 Aug 2019 06:30:45 -0400
Received: by mail-wm1-x32e.google.com with SMTP id v15so64090171wml.0
 for <bug-gnu-emacs@HIDDEN>; Thu, 01 Aug 2019 03:30:45 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:subject:user-agent:date:message-id:mime-version;
 bh=uaRmLfVpXUB7kpQN0TNx2s6PNkm48POgBJb10/gTlXA=;
 b=K8qxSwDSJ+2WhFHMflWSaSMVtgQbYcvehNsfIPOGUqANOMS1u49zoAQNiklzAW0hqT
 rVGt7zAsqvQTCb+Eb+W5PgeUOTjMrHfOhqn0H9huuC8V76UFfiZC5e801wZFNHxKb6KI
 5/L7r46LByVy30WZ5NjtkuFOfEIMOOfswwTdIl6AHqr3PvtIqWRI9ljrFn3eon7cIAkZ
 gjV/GBewvVzElzTzBzP3XrnfJH0hnp4Ihw5fQ0aiupuqWGMN1YWNYCdZZYiDkqQdxevy
 J44I3KxtqYn/G367R9e97P+ezaKjhln7XmSgp1LROZ/QbEHEnk9XQdcbGmOhfDUiGUOG
 C1RQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:subject:user-agent:date:message-id
 :mime-version;
 bh=uaRmLfVpXUB7kpQN0TNx2s6PNkm48POgBJb10/gTlXA=;
 b=iBBHGItIrM/ELoIHpkBXh9Rr/0i84nT8LCMtEc7ECQzElUc17V+k0bKYnR7UydyKdj
 48GWNJB9MtQ1bBA5yVJh/ayy5U0lUayYlNov30sSAdiVsnR+KrSTN09v0///xjOwLqMU
 SM7Vv12Wu3mENWN5kJk/LHhduSXH88UfwxSEuzl11zjq3BPxlGgtlwf4cQQQgbTOs+aq
 VN43I/1mpI1+jRr1y9JXSCWdjxd7ScSDu9D7w+HRPYAE1/O90RjX7LGnAl+VLZcpkgwp
 D44Z942M1rIo2Fuvei5eq7dWDkvCF28Lsr36eGO4qABlv4Wz3vWEMjQZX7GBMx4MxTV3
 IMjQ==
X-Gm-Message-State: APjAAAUxLcu6jFPMZn8nm31yl4rsYf/jDthkqb37g/vo+iMu1RaUKDS/
 qLDibZBCy5MQK7NN+eWNTnuWw1np
X-Google-Smtp-Source: APXvYqwoyXp/7/O9qA8Nwp5tzAxUl8NedUjfzQfYa46mt0egjaxr5wbDQjr39OK3Qiuf+EzK4UTPMw==
X-Received: by 2002:a7b:c051:: with SMTP id u17mr113175669wmc.25.1564655443319; 
 Thu, 01 Aug 2019 03:30:43 -0700 (PDT)
Received: from localhost ([77.238.202.32])
 by smtp.gmail.com with ESMTPSA id l9sm56275795wmh.36.2019.08.01.03.30.41
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Thu, 01 Aug 2019 03:30:42 -0700 (PDT)
From: Sanel Zukan <sanelz@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 26.2; (global-eldoc-mode -1) should disable eldoc completely
User-Agent: Notmuch/0.28.2 (https://notmuchmail.org)
Date: Thu, 01 Aug 2019 12:30:38 +0200
Message-ID: <87h8719nzl.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2a00:1450:4864:20::32e
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

When Emacs is run with (global-eldoc-mode -1), eldoc is not completely
disabled because it will show function arguments inside mode-line.

I believe intention behind (global-eldoc-mode -1) should be that all
eldoc facility gets disabled. Right now, the only way to stop poping
stuff in mode-line is this:

 (setq-default eldoc-message-function 'ignore)

Best,
Sanel




In GNU Emacs 26.2 (build 1, x86_64-slackware-linux-gnu, GTK+ Version 3.18.9)
 of 2019-07-17 built on hive64.slackware.lan
Recent messages:
Saving file /home/sanel/.emacs.d/init.el...
Wrote /home/sanel/.emacs.d/init.el
Quit
Mark set
No completions of 2-
Hit space to flush
No completions of ../../../sta
Hit space to flush
GNU Emacs 26.2 (build 1, x86_64-slackware-linux-gnu, GTK+ Version 3.18.9) of 2019-07-17 [2 times]
Making completion list... [3 times]

Configured using:
 'configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var
 --program-prefix= --program-suffix= --mandir=/usr/man
 --infodir=/usr/info --without-gconf --without-gsettings --with-x
 --with-x-toolkit=gtk3 --build=x86_64-slackware-linux 'CFLAGS=-O2
 -fPIC''

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND GPM DBUS GLIB NOTIFY ACL
GNUTLS LIBXML2 FREETYPE XFT ZLIB TOOLKIT_SCROLL_BARS GTK3 X11 XDBE XIM
THREADS LCMS2

Important settings:
  value of $LC_COLLATE: C
  value of $LC_CTYPE: en_US.utf8
  value of $LC_MESSAGES: en_US.utf8
  value of $LC_MONETARY: en_US.utf8
  value of $LC_NUMERIC: en_US.utf8
  value of $LC_TIME: en_US.utf8
  value of $LANG: en_US.utf8
  locale-coding-system: utf-8-unix

Major mode: Eshell

Minor modes in effect:
  imenu-list-minor-mode: t
  ido-everywhere: t
  shell-dirtrack-mode: t
  diff-auto-refine-mode: t
  global-undo-tree-mode: t
  undo-tree-mode: t
  evil-mode: t
  evil-local-mode: t
  cl-old-struct-compat-mode: t
  tooltip-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
~/.emacs.d/evil/lib/ert hides /usr/share/emacs/26.2/lisp/emacs-lisp/ert

Features:
(shadow emacsbug zeal-at-point chistory hideshow imenu-list wttrin
xterm-color ol-notmuch etags xref project nroff-mode calc-undo calc-misc
org-notmuch ediff-merg ediff-wind ediff-diff ediff-mult ediff-help
ediff-init ediff-util ediff face-remap linum fzf subr-x log-view
vc-annotate vc vc-dispatcher idomenu log4j-mode tramp-cmds
ido-select-window dired-aux declutter json map skeleton ack pcase
files-x tramp-cache tramp-sh pcmpl-gnu m4-mode make-mode markdown-mode
tabify cal-china lunar solar cal-dst cal-bahai cal-islam cal-hebrew
holidays hol-loaddefs cal-iso mm-archive debug conf-mode shr-color color
network-stream starttls url-http url-gw nsm url-cache url-auth woman man
timezone ibuf-ext ibuffer ibuffer-loaddefs flyspell sendmail ispell sort
gnus-alias mail-extr pcmpl-unix ffap em-unix em-term term ehelp
em-script em-prompt em-ls em-hist em-pred em-glob em-dirs em-cmpl
em-basic em-banner em-alias tex-mode latexenc ox-odt rng-loc rng-uri
rng-parse rng-match rng-dt rng-util rng-pttrn nxml-parse nxml-ns
nxml-enc xmltok nxml-util ox-latex ox-icalendar ox-html table ox-ascii
ox-publish ox magit-key-mode magit view grep compile autorevert
filenotify git-rebase-mode git-commit-mode log-edit pcvs-util add-log
ido cal-move dabbrev cua-base calc-alg calc-ext calc-menu calc
calc-loaddefs calc-macs cl-print eieio-opt speedbar sb-image ezimage
dframe ob-ditaa ob-plantuml org-archive org-capture org-colview
org-crypt org-indent help-fns radix-tree org-table org-duration
org-clock elfeed-show elfeed-search elfeed-csv elfeed elfeed-curl
elfeed-log elfeed-db elfeed-lib xml-query bookmark pp eww mm-url
url-queue url url-proxy url-privacy url-expand url-methods url-history
url-cookie url-domsuf url-util shr svg xml dom browse-url sh-script smie
executable ledger-mode ledger-check ledger-schedule ledger-xact
ledger-texi ledger-test ledger-sort ledger-report ledger-reconcile
ledger-post ledger-occur ledger-init ledger-fontify ledger-state
ledger-navigate ledger-fonts ledger-exec ledger-context ledger-complete
ledger-commodities esh-var esh-io esh-cmd esh-opt esh-ext esh-proc
esh-groups eshell esh-module esh-mode esh-arg esh-util cus-edit
cus-start cus-load ledger-regex cpp cc-mode cc-fonts cc-guess cc-menus
cc-cmds yaml-mode monroe clojure-mode rx imenu inf-lisp tramp
tramp-compat tramp-loaddefs trampver ucs-normalize shell vc-git
org-habit org-agenda org-rmail org-mhe org-irc org-info org-gnus nnir
gnus-sum gnus-group gnus-undo gnus-start gnus-cloud nnimap nnmail
mail-source tls gnutls utf7 netrc nnoo parse-time gnus-spec gnus-int
gnus-range gnus-win gnus nnheader org-docview doc-view jka-compr
image-mode org-bibtex bibtex org-bbdb org-w3m org-element avl-tree
generator org org-macro org-footnote org-pcomplete pcomplete org-list
org-faces org-entities noutline outline org-version ob-emacs-lisp ob
ob-tangle org-src ob-ref ob-lob ob-table ob-keys ob-exp ob-comint comint
ansi-color ob-core ob-eval org-compat org-macs org-loaddefs find-func
desktop frameset term/rxvt term/xterm xterm server elec-pair notmuch
hl-line notmuch-message notmuch-hello wid-edit notmuch-tree notmuch-show
notmuch-print notmuch-crypto notmuch-mua notmuch-draft
notmuch-maildir-fcc notmuch-address notmuch-company notmuch-parser
notmuch-wash diff-mode coolj notmuch-query goto-addr icalendar diary-lib
diary-loaddefs cal-menu calendar cal-loaddefs notmuch-tag crm
notmuch-lib notmuch-version notmuch-compat message rmc puny dired
dired-loaddefs format-spec rfc822 mml mailabbrev gmm-utils mailheader
mm-view mml-smime mml-sec epa epg gnus-util rmail rmail-loaddefs
mail-utils time-date smime dig mm-decode mm-bodies mm-encode mailcap
mail-parse rfc2231 rfc2047 rfc2045 mm-util ietf-drums mail-prsvr evil
evil-integration undo-tree derived easy-mmode cl-extra help-mode diff cl
evil-maps evil-commands evil-jumps evil-command-window evil-types
evil-search evil-ex evil-macros evil-repeat evil-states evil-core advice
evil-common windmove thingatpt rect evil-digraphs evil-vars ring edmacro
kmacro cc-styles cc-align cc-engine cc-vars cc-defs disp-table
finder-inf dash-functional-autoloads f-autoloads dash-autoloads info
magit-autoloads git-rebase-mode-autoloads git-commit-mode-autoloads
php-mode-autoloads request-deferred-autoloads request-autoloads
deferred-autoloads s-autoloads yaml-mode-autoloads package easymenu
epg-config url-handlers url-parse auth-source cl-seq eieio eieio-core
cl-macs eieio-loaddefs password-cache url-vars seq byte-opt gv bytecomp
byte-compile cconv cl-loaddefs cl-lib mule-util tooltip eldoc electric
uniquify ediff-hook vc-hooks lisp-float-type mwheel term/x-win x-win
term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page menu-bar rfn-eshadow isearch timer select
scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame cl-generic cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms cp51932
hebrew greek romanian slovak czech european ethiopic indian cyrillic
chinese composite charscript charprop case-table epa-hook jka-cmpr-hook
help simple abbrev obarray minibuffer cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote threads dbusbind inotify lcms2 dynamic-setting
font-render-setting move-toolbar gtk x-toolkit x multi-tty
make-network-process emacs)

Memory information:
((conses 16 2917359 906660)
 (symbols 48 65421 3)
 (miscs 40 14616 29680)
 (strings 32 2687160 124540)
 (string-bytes 1 112066300)
 (vectors 16 700294)
 (vector-slots 8 7705491 218730)
 (floats 8 201985 20921)
 (intervals 56 52031 12167)
 (buffers 992 223)
 (heap 1024 402497 19420))




Acknowledgement sent to Sanel Zukan <sanelz@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#36886; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 21 Aug 2019 00:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.